[dracut/f15] dracut-009-14

Harald Hoyer harald at fedoraproject.org
Mon Mar 26 10:44:26 UTC 2012


commit 142830fbdf6073f23882264055b3eeb7ba136881
Author: Harald Hoyer <harald at redhat.com>
Date:   Mon Mar 26 09:57:26 2012 +0200

    dracut-009-14
    
    add convertfs module
    add support for mdraid --offroot

 ...t-skip-zero-length-string-outfile-argumen.patch |    5 +-
 ...-simplify-kernel-version-argument-setting.patch |    5 +-
 0003-dracut-source-reformat-with-line-breaks.patch |    5 +-
 ...dracut-functions-bashified-ret-ret-to-ret.patch |    5 +-
 ...oved-extra-char-in-Including-modules-done.patch |    5 +-
 ...lib-firmware-updates-to-default-firmware-.patch |    5 +-
 ...hcp-root.sh-s-initqueue-finished-initqueu.patch |    8 +-
 0008-Ensure-rpc_pipefs-is-mounted.patch            |    5 +-
 ...nsplash-check-for-console_init-before-cal.patch |    3 +
 0010-base-init-fix-cdrom-polling.patch             |    5 +-
 ...cut-lib.sh-relax-getargbool-value-parsing.patch |    5 +-
 0012-doc-s-init.log-run-initramfs-init.log-g.patch |    3 +
 ...ase-init-fixed-compat-dev-.initramfs-copy.patch |    5 +-
 0014-fips-fixed-boot-dev-handling.patch            |    5 +-
 ...e-run-plymouth-pid-instead-of-run-initram.patch |    8 +-
 ...ve-dmsquash-live-genrules.sh-fixed-udev-r.patch |    8 +-
 ...ase-dracut-lib.sh-changed-kmgs-log-levels.patch |    5 +-
 0018-base-init-reset-PATH-after-the-run-move.patch |    5 +-
 ...acut-don-t-fail-on-empty-etc-ld.so.conf.d.patch |    5 +-
 0020-mkdir-always-with-m-0755.patch                |    3 +
 ...t-plymouth-use-systemd-vconsole-if-availa.patch |    5 +-
 ...systemd-vconsole-systemd-vconsole-setup-g.patch |    3 +
 ...ot-use-console_init-shell-script-if-syste.patch |    6 +-
 ...nsplash-reset-tty-after-plymouth-messed-w.patch |    3 +
 0025-init-create-run-with-p.patch                  |    5 +-
 ...ve-dmsquash-live-root-add-missing-changes.patch |    8 +-
 0027-dracut-fix-overlayfs-paths.patch              |    5 +-
 0028-correct-module-name.patch                     |    5 +-
 0029-skip-condition-fixed.patch                    |    5 +-
 0030-don-t-overwrite-ifname.patch                  |    5 +-
 ...-net-genrules.sh-also-honor-rename-events.patch |    5 +-
 ...se-ip-opts.sh-fix-ifname-for-ibft-with-al.patch |    5 +-
 0033-iscsi-add-additional-hardcoded-modules.patch  |    5 +-
 0034-iscsi-mount-lun.sh-use-NEWROOT.patch          |    5 +-
 ...find-iscsi-kernel-modules-by-symbol-names.patch |    5 +-
 ...root-ask.sh-s-.console.lock-.console_lock.patch |   37 +++
 ...les-insmodpost.sh-fixed-handling-rd.drive.patch |   25 ++
 ...ernel.sh-wrong-index-was-used-in-for-loop.patch |   35 +++
 ...rd-default-to-boot-initramfs-uname-r-.img.patch |   50 ++++
 0040-fcoe-parse-fcoe.sh-s-source-.-g.patch         |   36 +++
 ...e-crypt-install-umount-because-it-is-used.patch |   41 ++++
 ...les-inst-modules.builtin-if-there-s-no-mo.patch |   34 +++
 ...var-tmp-rather-than-tmp-for-the-initramfs.patch |   27 ++
 ...tions-only-dinfo-about-missing-firmware-f.patch |   34 +++
 0045-dracut-set-TMPDIR-to-var-tmp.patch            |   27 ++
 ..._scan.sh-remove-references-to-lvm-cleanup.patch |   29 +++
 ...ndle-new-output-of-file-for-XZ-compressed.patch |   26 ++
 ...ount-virtual-filesystems-with-the-filesys.patch |   55 +++++
 ...se-init-do-not-mount-devtmpfs-with-noexec.patch |   28 +++
 ...inux-loadpolicy.sh-set-LANG-C-for-load_po.patch |   42 ++++
 0051-dracut.spec-fixed-logrotate.patch             |   45 ++++
 ...ut.spec-remove-noreplace-for-01-dist.conf.patch |   25 ++
 0053-add-convertfs-module.patch                    |  250 ++++++++++++++++++++
 0054-90mdraid-add-offroot-support.patch            |  192 +++++++++++++++
 0055-dracut-remove-duplicate-options.patch         |   29 +++
 0056-dracut-dracut-functions-fix-PATH.patch        |   39 +++
 0057-dracut.spec-add-30convertfs.patch             |   24 ++
 dracut.spec                                        |   51 ++++-
 58 files changed, 1324 insertions(+), 35 deletions(-)
---
diff --git a/0001-dracut-don-t-skip-zero-length-string-outfile-argumen.patch b/0001-dracut-don-t-skip-zero-length-string-outfile-argumen.patch
index 8767536..5e487ba 100644
--- a/0001-dracut-don-t-skip-zero-length-string-outfile-argumen.patch
+++ b/0001-dracut-don-t-skip-zero-length-string-outfile-argumen.patch
@@ -12,7 +12,7 @@ With commit 486a1b9324d6fc7bc534d8147d64b8b259692c46 dracut skips ''
 argument.
 ---
  dracut |    2 +-
- 1 files changed, 1 insertions(+), 1 deletions(-)
+ 1 file changed, 1 insertion(+), 1 deletion(-)
 
 diff --git a/dracut b/dracut
 index 6b67dc0..c16b222 100755
@@ -27,3 +27,6 @@ index 6b67dc0..c16b222 100755
                  outfile=$1
              elif [[ $kernel = "unset" ]]; then
                  kernel=$1
+-- 
+1.7.9.3
+
diff --git a/0002-dracut-simplify-kernel-version-argument-setting.patch b/0002-dracut-simplify-kernel-version-argument-setting.patch
index d343625..575e7fd 100644
--- a/0002-dracut-simplify-kernel-version-argument-setting.patch
+++ b/0002-dracut-simplify-kernel-version-argument-setting.patch
@@ -5,7 +5,7 @@ Subject: [PATCH] dracut: simplify $kernel version argument setting
 
 ---
  dracut |    5 ++---
- 1 files changed, 2 insertions(+), 3 deletions(-)
+ 1 file changed, 2 insertions(+), 3 deletions(-)
 
 diff --git a/dracut b/dracut
 index c16b222..0a96c66 100755
@@ -37,3 +37,6 @@ index c16b222..0a96c66 100755
      kernel=$(uname -r)
  fi
  [[ $outfile ]] || outfile="/boot/initramfs-$kernel.img"
+-- 
+1.7.9.3
+
diff --git a/0003-dracut-source-reformat-with-line-breaks.patch b/0003-dracut-source-reformat-with-line-breaks.patch
index 6bf4503..04bab56 100644
--- a/0003-dracut-source-reformat-with-line-breaks.patch
+++ b/0003-dracut-source-reformat-with-line-breaks.patch
@@ -5,7 +5,7 @@ Subject: [PATCH] dracut: source reformat with line breaks
 
 ---
  dracut |    4 +++-
- 1 files changed, 3 insertions(+), 1 deletions(-)
+ 1 file changed, 3 insertions(+), 1 deletion(-)
 
 diff --git a/dracut b/dracut
 index 0a96c66..c156cdb 100755
@@ -22,3 +22,6 @@ index 0a96c66..c156cdb 100755
          --bzip2)       compress_l="bzip2";;
          --lzma)        compress_l="lzma";;
          --xz)          compress_l="xz";;
+-- 
+1.7.9.3
+
diff --git a/0004-dracut-functions-bashified-ret-ret-to-ret.patch b/0004-dracut-functions-bashified-ret-ret-to-ret.patch
index 65417db..d2c2c99 100644
--- a/0004-dracut-functions-bashified-ret-ret-to-ret.patch
+++ b/0004-dracut-functions-bashified-ret-ret-to-ret.patch
@@ -5,7 +5,7 @@ Subject: [PATCH] dracut-functions: bashified ret=ret+$? to ret+=$?
 
 ---
  dracut-functions |    2 +-
- 1 files changed, 1 insertions(+), 1 deletions(-)
+ 1 file changed, 1 insertion(+), 1 deletion(-)
 
 diff --git a/dracut-functions b/dracut-functions
 index 2accaec..2fc2471 100755
@@ -20,3 +20,6 @@ index 2accaec..2fc2471 100755
                  ;;
          esac
          shift
+-- 
+1.7.9.3
+
diff --git a/0005-dracut-removed-extra-char-in-Including-modules-done.patch b/0005-dracut-removed-extra-char-in-Including-modules-done.patch
index 2623053..388f0bf 100644
--- a/0005-dracut-removed-extra-char-in-Including-modules-done.patch
+++ b/0005-dracut-removed-extra-char-in-Including-modules-done.patch
@@ -5,7 +5,7 @@ Subject: [PATCH] dracut: removed extra char in "Including modules done"
 
 ---
  dracut |    2 +-
- 1 files changed, 1 insertions(+), 1 deletions(-)
+ 1 file changed, 1 insertion(+), 1 deletion(-)
 
 diff --git a/dracut b/dracut
 index c156cdb..404b9db 100755
@@ -20,3 +20,6 @@ index c156cdb..404b9db 100755
  
  ## final stuff that has to happen
  
+-- 
+1.7.9.3
+
diff --git a/0006-dracut-add-lib-firmware-updates-to-default-firmware-.patch b/0006-dracut-add-lib-firmware-updates-to-default-firmware-.patch
index 201b205..4bb1f2c 100644
--- a/0006-dracut-add-lib-firmware-updates-to-default-firmware-.patch
+++ b/0006-dracut-add-lib-firmware-updates-to-default-firmware-.patch
@@ -5,7 +5,7 @@ Subject: [PATCH] dracut: add "/lib/firmware/updates" to default firmware path
 
 ---
  dracut |    2 +-
- 1 files changed, 1 insertions(+), 1 deletions(-)
+ 1 file changed, 1 insertion(+), 1 deletion(-)
 
 diff --git a/dracut b/dracut
 index 404b9db..c6605bb 100755
@@ -20,3 +20,6 @@ index 404b9db..c6605bb 100755
  [[ $do_strip ]] || do_strip=no
  [[ $compress_l ]] && compress=$compress_l
  [[ $show_modules_l ]] && show_modules=$show_modules_l
+-- 
+1.7.9.3
+
diff --git a/0007-40network-dhcp-root.sh-s-initqueue-finished-initqueu.patch b/0007-40network-dhcp-root.sh-s-initqueue-finished-initqueu.patch
index 7c01133..18916c1 100644
--- a/0007-40network-dhcp-root.sh-s-initqueue-finished-initqueu.patch
+++ b/0007-40network-dhcp-root.sh-s-initqueue-finished-initqueu.patch
@@ -1,11 +1,12 @@
 From e77e82e12ebc5d33a6be8bdf8b35df6ad11e38c7 Mon Sep 17 00:00:00 2001
 From: Harald Hoyer <harald at redhat.com>
 Date: Tue, 29 Mar 2011 15:46:53 +0200
-Subject: [PATCH] 40network/dhcp-root.sh: s#initqueue-finished#initqueue/finished#g
+Subject: [PATCH] 40network/dhcp-root.sh:
+ s#initqueue-finished#initqueue/finished#g
 
 ---
  modules.d/40network/dhcp-root.sh |    2 +-
- 1 files changed, 1 insertions(+), 1 deletions(-)
+ 1 file changed, 1 insertion(+), 1 deletion(-)
 
 diff --git a/modules.d/40network/dhcp-root.sh b/modules.d/40network/dhcp-root.sh
 index 8c5d723..85c7f08 100755
@@ -18,3 +19,6 @@ index 8c5d723..85c7f08 100755
 -    echo '[ -d $NEWROOT/proc -o -e /dev/root ]' > $hookdir/initqueue-finished/dhcp.sh
 +    echo '[ -d $NEWROOT/proc -o -e /dev/root ]' > $hookdir/initqueue/finished/dhcp.sh
  fi
+-- 
+1.7.9.3
+
diff --git a/0008-Ensure-rpc_pipefs-is-mounted.patch b/0008-Ensure-rpc_pipefs-is-mounted.patch
index 1e0a1c1..4d5df2e 100644
--- a/0008-Ensure-rpc_pipefs-is-mounted.patch
+++ b/0008-Ensure-rpc_pipefs-is-mounted.patch
@@ -8,7 +8,7 @@ automatically when sunrpc module is loaded, on Debian based systems it
 needs to be mounted manually.
 ---
  modules.d/95nfs/nfsroot |    3 +++
- 1 files changed, 3 insertions(+), 0 deletions(-)
+ 1 file changed, 3 insertions(+)
 
 diff --git a/modules.d/95nfs/nfsroot b/modules.d/95nfs/nfsroot
 index 486c0e1..f4c5051 100755
@@ -24,3 +24,6 @@ index 486c0e1..f4c5051 100755
      # Start rpc.statd as mount won't let us use locks on a NFSv4
      # filesystem without talking to it. NFSv4 does locks internally,
      # rpc.lockd isn't needed
+-- 
+1.7.9.3
+
diff --git a/0009-plymouth-gensplash-check-for-console_init-before-cal.patch b/0009-plymouth-gensplash-check-for-console_init-before-cal.patch
index 561a681..e26cf6e 100644
--- a/0009-plymouth-gensplash-check-for-console_init-before-cal.patch
+++ b/0009-plymouth-gensplash-check-for-console_init-before-cal.patch
@@ -34,3 +34,6 @@ index eae0be2..d560d6f 100755
 +    [ -x /lib/udev/console_init ] && /lib/udev/console_init tty0
      /bin/plymouth --show-splash 2>&1 | vinfo
  fi
+-- 
+1.7.9.3
+
diff --git a/0010-base-init-fix-cdrom-polling.patch b/0010-base-init-fix-cdrom-polling.patch
index 60decc5..b3df6c7 100644
--- a/0010-base-init-fix-cdrom-polling.patch
+++ b/0010-base-init-fix-cdrom-polling.patch
@@ -5,7 +5,7 @@ Subject: [PATCH] base/init: fix cdrom polling
 
 ---
  modules.d/99base/init |    2 +-
- 1 files changed, 1 insertions(+), 1 deletions(-)
+ 1 file changed, 1 insertion(+), 1 deletion(-)
 
 diff --git a/modules.d/99base/init b/modules.d/99base/init
 index b6f4e92..a30706b 100755
@@ -20,3 +20,6 @@ index b6f4e92..a30706b 100755
              msecs=$(while read a; do echo $a;done < "$cdrom"/events_poll_msecs)
              if [ "$msecs" = "-1" ]; then
                  echo 250 > "$cdrom"/events_poll_msecs
+-- 
+1.7.9.3
+
diff --git a/0011-base-dracut-lib.sh-relax-getargbool-value-parsing.patch b/0011-base-dracut-lib.sh-relax-getargbool-value-parsing.patch
index cde5418..23334d9 100644
--- a/0011-base-dracut-lib.sh-relax-getargbool-value-parsing.patch
+++ b/0011-base-dracut-lib.sh-relax-getargbool-value-parsing.patch
@@ -7,7 +7,7 @@ if a non-boolean value was specified, like "yes" or "no",
 getargbool() would error, because we check for "$val -eq 0"
 ---
  modules.d/99base/dracut-lib.sh |    2 +-
- 1 files changed, 1 insertions(+), 1 deletions(-)
+ 1 file changed, 1 insertion(+), 1 deletion(-)
 
 diff --git a/modules.d/99base/dracut-lib.sh b/modules.d/99base/dracut-lib.sh
 index a5406ab..37b3e76 100755
@@ -22,3 +22,6 @@ index a5406ab..37b3e76 100755
          [ $_b = "no" ] && return 1
      fi
      return 0
+-- 
+1.7.9.3
+
diff --git a/0012-doc-s-init.log-run-initramfs-init.log-g.patch b/0012-doc-s-init.log-run-initramfs-init.log-g.patch
index 1f7d49e..3eeb180 100644
--- a/0012-doc-s-init.log-run-initramfs-init.log-g.patch
+++ b/0012-doc-s-init.log-run-initramfs-init.log-g.patch
@@ -34,3 +34,6 @@ index 9b70f0c..4f71de5 100644
  # dmesg | less</screen>
            </listitem>
          </orderedlist>
+-- 
+1.7.9.3
+
diff --git a/0013-base-init-fixed-compat-dev-.initramfs-copy.patch b/0013-base-init-fixed-compat-dev-.initramfs-copy.patch
index 2beed72..ab5dcbc 100644
--- a/0013-base-init-fixed-compat-dev-.initramfs-copy.patch
+++ b/0013-base-init-fixed-compat-dev-.initramfs-copy.patch
@@ -5,7 +5,7 @@ Subject: [PATCH] base/init: fixed compat /dev/.initramfs copy
 
 ---
  modules.d/99base/init |   12 ++++++------
- 1 files changed, 6 insertions(+), 6 deletions(-)
+ 1 file changed, 6 insertions(+), 6 deletions(-)
 
 diff --git a/modules.d/99base/init b/modules.d/99base/init
 index a30706b..83d9568 100755
@@ -31,3 +31,6 @@ index a30706b..83d9568 100755
  fi
  
  if [ -f /etc/capsdrop ]; then
+-- 
+1.7.9.3
+
diff --git a/0014-fips-fixed-boot-dev-handling.patch b/0014-fips-fixed-boot-dev-handling.patch
index 869f7ed..e08ea61 100644
--- a/0014-fips-fixed-boot-dev-handling.patch
+++ b/0014-fips-fixed-boot-dev-handling.patch
@@ -5,7 +5,7 @@ Subject: [PATCH] fips: fixed "boot=<dev>" handling
 
 ---
  modules.d/01fips/fips.sh |   16 +++++++---------
- 1 files changed, 7 insertions(+), 9 deletions(-)
+ 1 file changed, 7 insertions(+), 9 deletions(-)
 
 diff --git a/modules.d/01fips/fips.sh b/modules.d/01fips/fips.sh
 index febe23e..857c355 100755
@@ -39,3 +39,6 @@ index febe23e..857c355 100755
          *)
              die "You have to specify boot=<boot device> as a boot option for fips=1" ;;
      esac
+-- 
+1.7.9.3
+
diff --git a/0015-plymouth-use-run-plymouth-pid-instead-of-run-initram.patch b/0015-plymouth-use-run-plymouth-pid-instead-of-run-initram.patch
index 7426fdc..50c482f 100644
--- a/0015-plymouth-use-run-plymouth-pid-instead-of-run-initram.patch
+++ b/0015-plymouth-use-run-plymouth-pid-instead-of-run-initram.patch
@@ -1,11 +1,12 @@
 From 149037e0252d4c9f5d10c07a48aa62860de6ceea Mon Sep 17 00:00:00 2001
 From: Harald Hoyer <harald at redhat.com>
 Date: Wed, 30 Mar 2011 16:24:57 +0200
-Subject: [PATCH] plymouth: use /run/plymouth/pid instead of /run/initramfs/plymouth
+Subject: [PATCH] plymouth: use /run/plymouth/pid instead of
+ /run/initramfs/plymouth
 
 ---
  modules.d/50plymouth/plymouth-pretrigger.sh |    4 ++--
- 1 files changed, 2 insertions(+), 2 deletions(-)
+ 1 file changed, 2 insertions(+), 2 deletions(-)
 
 diff --git a/modules.d/50plymouth/plymouth-pretrigger.sh b/modules.d/50plymouth/plymouth-pretrigger.sh
 index d560d6f..477975f 100755
@@ -22,3 +23,6 @@ index d560d6f..477975f 100755
      [ -x /lib/udev/console_init ] && /lib/udev/console_init tty0
      /bin/plymouth --show-splash 2>&1 | vinfo
  fi
+-- 
+1.7.9.3
+
diff --git a/0016-dmsquash-live-dmsquash-live-genrules.sh-fixed-udev-r.patch b/0016-dmsquash-live-dmsquash-live-genrules.sh-fixed-udev-r.patch
index 6068f55..e8d46d4 100644
--- a/0016-dmsquash-live-dmsquash-live-genrules.sh-fixed-udev-r.patch
+++ b/0016-dmsquash-live-dmsquash-live-genrules.sh-fixed-udev-r.patch
@@ -1,12 +1,13 @@
 From 5f66cdbbb0b0e7ad075504305dd4adaae60b9373 Mon Sep 17 00:00:00 2001
 From: Harald Hoyer <harald at redhat.com>
 Date: Thu, 31 Mar 2011 08:24:15 +0200
-Subject: [PATCH] dmsquash-live/dmsquash-live-genrules.sh: fixed udev rule location
+Subject: [PATCH] dmsquash-live/dmsquash-live-genrules.sh: fixed udev rule
+ location
 
 Fixed the rule directory to $UDEVRULESD
 ---
  .../90dmsquash-live/dmsquash-live-genrules.sh      |    2 +-
- 1 files changed, 1 insertions(+), 1 deletions(-)
+ 1 file changed, 1 insertion(+), 1 deletion(-)
 
 diff --git a/modules.d/90dmsquash-live/dmsquash-live-genrules.sh b/modules.d/90dmsquash-live/dmsquash-live-genrules.sh
 index 1128be4..404d1c5 100755
@@ -21,3 +22,6 @@ index 1128be4..404d1c5 100755
      {
          printf 'KERNEL=="%s", RUN+="/sbin/initqueue --settled --onetime --unique /sbin/dmsquash-live-root $env{DEVNAME}"\n' \
              ${root#live:/dev/} 
+-- 
+1.7.9.3
+
diff --git a/0017-base-dracut-lib.sh-changed-kmgs-log-levels.patch b/0017-base-dracut-lib.sh-changed-kmgs-log-levels.patch
index b0598e9..30d625a 100644
--- a/0017-base-dracut-lib.sh-changed-kmgs-log-levels.patch
+++ b/0017-base-dracut-lib.sh-changed-kmgs-log-levels.patch
@@ -7,7 +7,7 @@ New kernel/dmesg understands syslog levels, so we log with "+24" to indicate
 that dracut is a daemon (current init).
 ---
  modules.d/99base/dracut-lib.sh |    8 ++++----
- 1 files changed, 4 insertions(+), 4 deletions(-)
+ 1 file changed, 4 insertions(+), 4 deletions(-)
 
 diff --git a/modules.d/99base/dracut-lib.sh b/modules.d/99base/dracut-lib.sh
 index 37b3e76..930138a 100755
@@ -41,3 +41,6 @@ index 37b3e76..930138a 100755
      [ "$DRACUT_QUIET" != "yes" ] && \
          echo "dracut: $@" 
  }
+-- 
+1.7.9.3
+
diff --git a/0018-base-init-reset-PATH-after-the-run-move.patch b/0018-base-init-reset-PATH-after-the-run-move.patch
index a193aa0..a89af5d 100644
--- a/0018-base-init-reset-PATH-after-the-run-move.patch
+++ b/0018-base-init-reset-PATH-after-the-run-move.patch
@@ -5,7 +5,7 @@ Subject: [PATCH] base/init: reset PATH after the /run move
 
 ---
  modules.d/99base/init |    3 ++-
- 1 files changed, 2 insertions(+), 1 deletions(-)
+ 1 file changed, 2 insertions(+), 1 deletion(-)
 
 diff --git a/modules.d/99base/init b/modules.d/99base/init
 index 83d9568..0f18b44 100755
@@ -28,3 +28,6 @@ index 83d9568..0f18b44 100755
  if [ -f /etc/capsdrop ]; then
      . /etc/capsdrop
      info "Calling $INIT with capabilities $CAPS_INIT_DROP dropped."
+-- 
+1.7.9.3
+
diff --git a/0019-dracut-don-t-fail-on-empty-etc-ld.so.conf.d.patch b/0019-dracut-don-t-fail-on-empty-etc-ld.so.conf.d.patch
index dd21e51..8731ba9 100644
--- a/0019-dracut-don-t-fail-on-empty-etc-ld.so.conf.d.patch
+++ b/0019-dracut-don-t-fail-on-empty-etc-ld.so.conf.d.patch
@@ -5,7 +5,7 @@ Subject: [PATCH] dracut: don't fail on empty /etc/ld.so.conf.d/
 
 ---
  dracut |    4 +++-
- 1 files changed, 3 insertions(+), 1 deletions(-)
+ 1 file changed, 3 insertions(+), 1 deletion(-)
 
 diff --git a/dracut b/dracut
 index c6605bb..15a5ee5 100755
@@ -22,3 +22,6 @@ index c6605bb..15a5ee5 100755
  if ! ldconfig -r "$initdir"; then
      if [[ $UID = 0 ]]; then
          derror "ldconfig exited ungracefully"
+-- 
+1.7.9.3
+
diff --git a/0020-mkdir-always-with-m-0755.patch b/0020-mkdir-always-with-m-0755.patch
index 771f026..b243c3b 100644
--- a/0020-mkdir-always-with-m-0755.patch
+++ b/0020-mkdir-always-with-m-0755.patch
@@ -277,3 +277,6 @@ index 930138a..a5a3f59 100755
          retdir_new=$(funiq "${dir}" "${prefix}") || return 1
          [ "$retdir_new" = "$retdir" ] && return 1
          retdir="$retdir_new"
+-- 
+1.7.9.3
+
diff --git a/0021-console_init-plymouth-use-systemd-vconsole-if-availa.patch b/0021-console_init-plymouth-use-systemd-vconsole-if-availa.patch
index 6ce568b..cfa2c01 100644
--- a/0021-console_init-plymouth-use-systemd-vconsole-if-availa.patch
+++ b/0021-console_init-plymouth-use-systemd-vconsole-if-availa.patch
@@ -5,7 +5,7 @@ Subject: [PATCH] console_init/plymouth: use systemd-vconsole, if available
 
 also init the console before starting the plymouth daemon
 ---
- modules.d/10i18n/console_init               |   35 +++++++++++++++-----------
+ modules.d/10i18n/console_init               |   35 +++++++++++++++------------
  modules.d/10i18n/module-setup.sh            |    1 +
  modules.d/50plymouth/plymouth-pretrigger.sh |    2 +-
  3 files changed, 22 insertions(+), 16 deletions(-)
@@ -80,3 +80,6 @@ index 6f8628d..222dc20 100755
 +    [ -x /bin/plymouthd ] && /bin/plymouthd --attach-to-session --pid-file /run/plymouth/pid
      /bin/plymouth --show-splash 2>&1 | vinfo
  fi
+-- 
+1.7.9.3
+
diff --git a/0022-10i18n-s-systemd-vconsole-systemd-vconsole-setup-g.patch b/0022-10i18n-s-systemd-vconsole-systemd-vconsole-setup-g.patch
index cca3077..d1d6fa6 100644
--- a/0022-10i18n-s-systemd-vconsole-systemd-vconsole-setup-g.patch
+++ b/0022-10i18n-s-systemd-vconsole-systemd-vconsole-setup-g.patch
@@ -36,3 +36,6 @@ index a374c33..f2320c3 100755
      KBDSUBDIRS=consolefonts,consoletrans,keymaps,unimaps
      DEFAULT_FONT=LatArCyrHeb-16
      I18N_CONF="/etc/locale.conf"
+-- 
+1.7.9.3
+
diff --git a/0023-10i18n-do-not-use-console_init-shell-script-if-syste.patch b/0023-10i18n-do-not-use-console_init-shell-script-if-syste.patch
index 0444055..073bd67 100644
--- a/0023-10i18n-do-not-use-console_init-shell-script-if-syste.patch
+++ b/0023-10i18n-do-not-use-console_init-shell-script-if-syste.patch
@@ -1,7 +1,8 @@
 From 065a609633bda845b4ac821a139a1deab397c1f8 Mon Sep 17 00:00:00 2001
 From: Harald Hoyer <harald at redhat.com>
 Date: Tue, 3 May 2011 14:48:05 +0200
-Subject: [PATCH] 10i18n: do not use console_init shell script, if systemd-vconsole-setup
+Subject: [PATCH] 10i18n: do not use console_init shell script, if
+ systemd-vconsole-setup
 
 do not use console_init shell script, if systemd-vconsole-setup is
 available
@@ -90,3 +91,6 @@ index 9f47326..6b7e569 100755
 +    rm -f /lib/udev/console_init
 +    ln -s /lib/systemd/systemd-vconsole-setup /lib/udev/console_init
 +fi
+-- 
+1.7.9.3
+
diff --git a/0024-plymouth-gensplash-reset-tty-after-plymouth-messed-w.patch b/0024-plymouth-gensplash-reset-tty-after-plymouth-messed-w.patch
index 769db2b..97d7445 100644
--- a/0024-plymouth-gensplash-reset-tty-after-plymouth-messed-w.patch
+++ b/0024-plymouth-gensplash-reset-tty-after-plymouth-messed-w.patch
@@ -38,3 +38,6 @@ index 222dc20..25ed06f 100755
 +    # reset tty after plymouth messed with it
 +    [ -x /lib/udev/console_init ] && /lib/udev/console_init /dev/tty0
  fi
+-- 
+1.7.9.3
+
diff --git a/0025-init-create-run-with-p.patch b/0025-init-create-run-with-p.patch
index 50baa28..9cf3fb0 100644
--- a/0025-init-create-run-with-p.patch
+++ b/0025-init-create-run-with-p.patch
@@ -5,7 +5,7 @@ Subject: [PATCH] init: create /run with "-p"
 
 ---
  modules.d/99base/init |    2 +-
- 1 files changed, 1 insertions(+), 1 deletions(-)
+ 1 file changed, 1 insertion(+), 1 deletion(-)
 
 diff --git a/modules.d/99base/init b/modules.d/99base/init
 index 0f18b44..ceb3619 100755
@@ -20,3 +20,6 @@ index 0f18b44..ceb3619 100755
  mount -t devpts -o gid=5,mode=620,noexec,nosuid devpts /dev/pts >/dev/null 2>&1
  mount -t tmpfs -o mode=1777,nosuid,nodev  tmpfs /dev/shm >/dev/null 2>&1
  # create /run which will obsolete /var/run
+-- 
+1.7.9.3
+
diff --git a/0026-dmsquash-live-dmsquash-live-root-add-missing-changes.patch b/0026-dmsquash-live-dmsquash-live-root-add-missing-changes.patch
index 5d3f8c6..8fd8bd1 100644
--- a/0026-dmsquash-live-dmsquash-live-root-add-missing-changes.patch
+++ b/0026-dmsquash-live-dmsquash-live-root-add-missing-changes.patch
@@ -1,12 +1,13 @@
 From 1043433a0e1fde9e777c11af09e4c7ed70e180e0 Mon Sep 17 00:00:00 2001
 From: Alan Pevec <apevec at redhat.com>
 Date: Thu, 12 May 2011 14:16:07 +0200
-Subject: [PATCH] dmsquash-live/dmsquash-live-root: add missing changes for /run
+Subject: [PATCH] dmsquash-live/dmsquash-live-root: add missing changes for
+ /run
 
 Change to /run/initramfs/squashfs/ was not complete.
 ---
  modules.d/90dmsquash-live/dmsquash-live-root |   10 +++++-----
- 1 files changed, 5 insertions(+), 5 deletions(-)
+ 1 file changed, 5 insertions(+), 5 deletions(-)
 
 diff --git a/modules.d/90dmsquash-live/dmsquash-live-root b/modules.d/90dmsquash-live/dmsquash-live-root
 index 928aff9..82a4bc1 100755
@@ -31,3 +32,6 @@ index 928aff9..82a4bc1 100755
  
      do_live_from_base_loop
  fi
+-- 
+1.7.9.3
+
diff --git a/0027-dracut-fix-overlayfs-paths.patch b/0027-dracut-fix-overlayfs-paths.patch
index aa4d1e5..20ff05f 100644
--- a/0027-dracut-fix-overlayfs-paths.patch
+++ b/0027-dracut-fix-overlayfs-paths.patch
@@ -5,7 +5,7 @@ Subject: [PATCH] dracut: fix overlayfs paths
 
 ---
  modules.d/90dmsquash-live/dmsquash-live-root |    6 +++---
- 1 files changed, 3 insertions(+), 3 deletions(-)
+ 1 file changed, 3 insertions(+), 3 deletions(-)
 
 diff --git a/modules.d/90dmsquash-live/dmsquash-live-root b/modules.d/90dmsquash-live/dmsquash-live-root
 index 82a4bc1..abd6644 100755
@@ -24,3 +24,6 @@ index 82a4bc1..abd6644 100755
              if [ -n "$reset_overlay" ]; then
                  dd if=/dev/zero of=$OVERLAY_LOOPDEV bs=64k count=1 2>/dev/null
              fi
+-- 
+1.7.9.3
+
diff --git a/0028-correct-module-name.patch b/0028-correct-module-name.patch
index 483b21e..2e5e84e 100644
--- a/0028-correct-module-name.patch
+++ b/0028-correct-module-name.patch
@@ -5,7 +5,7 @@ Subject: [PATCH] correct module name
 
 ---
  modules.d/40network/parse-ip-opts.sh |    2 +-
- 1 files changed, 1 insertions(+), 1 deletions(-)
+ 1 file changed, 1 insertion(+), 1 deletion(-)
 
 diff --git a/modules.d/40network/parse-ip-opts.sh b/modules.d/40network/parse-ip-opts.sh
 index b6021c6..c3fc001 100755
@@ -20,3 +20,6 @@ index b6021c6..c3fc001 100755
      num=0
      (   
  	for iface in /sys/firmware/ibft/ethernet*; do
+-- 
+1.7.9.3
+
diff --git a/0029-skip-condition-fixed.patch b/0029-skip-condition-fixed.patch
index 701ad8d..11284ad 100644
--- a/0029-skip-condition-fixed.patch
+++ b/0029-skip-condition-fixed.patch
@@ -5,7 +5,7 @@ Subject: [PATCH] skip condition fixed
 
 ---
  modules.d/40network/parse-ip-opts.sh |    2 +-
- 1 files changed, 1 insertions(+), 1 deletions(-)
+ 1 file changed, 1 insertion(+), 1 deletion(-)
 
 diff --git a/modules.d/40network/parse-ip-opts.sh b/modules.d/40network/parse-ip-opts.sh
 index c3fc001..d7b7f37 100755
@@ -20,3 +20,6 @@ index c3fc001..d7b7f37 100755
              ifname_if=ibft$num
  	    num=$(( $num + 1 ))
  	    echo "ifname=$ifname_if:$ifname_mac"
+-- 
+1.7.9.3
+
diff --git a/0030-don-t-overwrite-ifname.patch b/0030-don-t-overwrite-ifname.patch
index 8ed3e98..93071b6 100644
--- a/0030-don-t-overwrite-ifname.patch
+++ b/0030-don-t-overwrite-ifname.patch
@@ -7,7 +7,7 @@ Subject: [PATCH] don't overwrite ifname=
 [Harald Hoyer <harald at redhat.com>: handle multiple ifname= arguments]
 ---
  modules.d/40network/parse-ip-opts.sh |   16 +++++++++++-----
- 1 files changed, 11 insertions(+), 5 deletions(-)
+ 1 file changed, 11 insertions(+), 5 deletions(-)
 
 diff --git a/modules.d/40network/parse-ip-opts.sh b/modules.d/40network/parse-ip-opts.sh
 index d7b7f37..4c3d0c2 100755
@@ -40,3 +40,6 @@ index d7b7f37..4c3d0c2 100755
  
  	    dhcp=$(read a < ${iface}/dhcp; echo $a)
  	    if [ -n "$dhcp" ]; then
+-- 
+1.7.9.3
+
diff --git a/0031-network-net-genrules.sh-also-honor-rename-events.patch b/0031-network-net-genrules.sh-also-honor-rename-events.patch
index cf3d457..2aea9d3 100644
--- a/0031-network-net-genrules.sh-also-honor-rename-events.patch
+++ b/0031-network-net-genrules.sh-also-honor-rename-events.patch
@@ -5,7 +5,7 @@ Subject: [PATCH] network/net-genrules.sh: also honor rename events
 
 ---
  modules.d/40network/net-genrules.sh |    4 ++--
- 1 files changed, 2 insertions(+), 2 deletions(-)
+ 1 file changed, 2 insertions(+), 2 deletions(-)
 
 diff --git a/modules.d/40network/net-genrules.sh b/modules.d/40network/net-genrules.sh
 index d24a865..1783909 100755
@@ -26,3 +26,6 @@ index d24a865..1783909 100755
      fi
  
  } > /etc/udev/rules.d/60-net.rules
+-- 
+1.7.9.3
+
diff --git a/0032-network-parse-ip-opts.sh-fix-ifname-for-ibft-with-al.patch b/0032-network-parse-ip-opts.sh-fix-ifname-for-ibft-with-al.patch
index ba4cccf..cb87d21 100644
--- a/0032-network-parse-ip-opts.sh-fix-ifname-for-ibft-with-al.patch
+++ b/0032-network-parse-ip-opts.sh-fix-ifname-for-ibft-with-al.patch
@@ -5,7 +5,7 @@ Subject: [PATCH] network/parse-ip-opts.sh: fix ifname for ibft with all args
 
 ---
  modules.d/40network/parse-ip-opts.sh |   15 +++++++++------
- 1 files changed, 9 insertions(+), 6 deletions(-)
+ 1 file changed, 9 insertions(+), 6 deletions(-)
 
 diff --git a/modules.d/40network/parse-ip-opts.sh b/modules.d/40network/parse-ip-opts.sh
 index 4c3d0c2..608fc88 100755
@@ -37,3 +37,6 @@ index 4c3d0c2..608fc88 100755
  
  	    dhcp=$(read a < ${iface}/dhcp; echo $a)
  	    if [ -n "$dhcp" ]; then
+-- 
+1.7.9.3
+
diff --git a/0033-iscsi-add-additional-hardcoded-modules.patch b/0033-iscsi-add-additional-hardcoded-modules.patch
index 6b19841..2130975 100644
--- a/0033-iscsi-add-additional-hardcoded-modules.patch
+++ b/0033-iscsi-add-additional-hardcoded-modules.patch
@@ -7,7 +7,7 @@ https://bugzilla.redhat.com/show_bug.cgi?id=692781
 https://bugzilla.redhat.com/show_bug.cgi?id=689694
 ---
  modules.d/95iscsi/module-setup.sh |    2 +-
- 1 files changed, 1 insertions(+), 1 deletions(-)
+ 1 file changed, 1 insertion(+), 1 deletion(-)
 
 diff --git a/modules.d/95iscsi/module-setup.sh b/modules.d/95iscsi/module-setup.sh
 index 23c612a..cddd4f3 100755
@@ -22,3 +22,6 @@ index 23c612a..cddd4f3 100755
  }
  
  install() {
+-- 
+1.7.9.3
+
diff --git a/0034-iscsi-mount-lun.sh-use-NEWROOT.patch b/0034-iscsi-mount-lun.sh-use-NEWROOT.patch
index f78bb79..25dd656 100644
--- a/0034-iscsi-mount-lun.sh-use-NEWROOT.patch
+++ b/0034-iscsi-mount-lun.sh-use-NEWROOT.patch
@@ -5,7 +5,7 @@ Subject: [PATCH] iscsi/mount-lun.sh: use NEWROOT
 
 ---
  modules.d/95iscsi/mount-lun.sh |    2 +-
- 1 files changed, 1 insertions(+), 1 deletions(-)
+ 1 file changed, 1 insertion(+), 1 deletion(-)
 
 diff --git a/modules.d/95iscsi/mount-lun.sh b/modules.d/95iscsi/mount-lun.sh
 index 0eadfd2..b11dd0a 100755
@@ -20,3 +20,6 @@ index 0eadfd2..b11dd0a 100755
              umount $disk
              continue
          fi
+-- 
+1.7.9.3
+
diff --git a/0035-iscsi-find-iscsi-kernel-modules-by-symbol-names.patch b/0035-iscsi-find-iscsi-kernel-modules-by-symbol-names.patch
index 46aaf5a..53e4b0f 100644
--- a/0035-iscsi-find-iscsi-kernel-modules-by-symbol-names.patch
+++ b/0035-iscsi-find-iscsi-kernel-modules-by-symbol-names.patch
@@ -5,7 +5,7 @@ Subject: [PATCH] iscsi: find iscsi kernel modules by symbol names
 
 ---
  modules.d/95iscsi/module-setup.sh |   13 +++++++++----
- 1 files changed, 9 insertions(+), 4 deletions(-)
+ 1 file changed, 9 insertions(+), 4 deletions(-)
 
 diff --git a/modules.d/95iscsi/module-setup.sh b/modules.d/95iscsi/module-setup.sh
 index cddd4f3..793a243 100755
@@ -49,3 +49,6 @@ index cddd4f3..793a243 100755
      inst hostname
      inst iscsi-iname
      inst_hook cmdline 90 "$moddir/parse-iscsiroot.sh"
+-- 
+1.7.9.3
+
diff --git a/0036-crypt-cryptroot-ask.sh-s-.console.lock-.console_lock.patch b/0036-crypt-cryptroot-ask.sh-s-.console.lock-.console_lock.patch
new file mode 100644
index 0000000..be45249
--- /dev/null
+++ b/0036-crypt-cryptroot-ask.sh-s-.console.lock-.console_lock.patch
@@ -0,0 +1,37 @@
+From 658dca06de0565c4702e095ab55b54cfb57e06b6 Mon Sep 17 00:00:00 2001
+From: Harald Hoyer <harald at redhat.com>
+Date: Fri, 1 Jul 2011 10:28:21 +0200
+Subject: [PATCH] crypt/cryptroot-ask.sh: s/.console.lock/.console_lock/g
+
+In the initrd, the init script and the sbin/cryptroot-ask script use
+flock with different lock files for the console: /.console_lock
+and /.console.lock respectively
+---
+ modules.d/90crypt/cryptroot-ask.sh |    4 ++--
+ 1 file changed, 2 insertions(+), 2 deletions(-)
+
+diff --git a/modules.d/90crypt/cryptroot-ask.sh b/modules.d/90crypt/cryptroot-ask.sh
+index 4a65c23..7b2ab07 100755
+--- a/modules.d/90crypt/cryptroot-ask.sh
++++ b/modules.d/90crypt/cryptroot-ask.sh
+@@ -94,7 +94,7 @@ else
+             /bin/plymouth ask-for-password \
+                 --prompt "$prompt" --number-of-tries=5 \
+                 --command="/sbin/cryptsetup luksOpen -T1 $device $luksname"
+-        } 9>/.console.lock
++        } 9>/.console_lock
+         
+         unset sluksname prompt
+         
+@@ -103,7 +103,7 @@ else
+         { flock -s 9;
+             echo "$device ($luksname) is password protected"
+             cryptsetup luksOpen -T5 $device $luksname
+-        } 9>/.console.lock
++        } 9>/.console_lock
+     fi
+ fi
+ 
+-- 
+1.7.9.3
+
diff --git a/0037-kernel-modules-insmodpost.sh-fixed-handling-rd.drive.patch b/0037-kernel-modules-insmodpost.sh-fixed-handling-rd.drive.patch
new file mode 100644
index 0000000..32d30a2
--- /dev/null
+++ b/0037-kernel-modules-insmodpost.sh-fixed-handling-rd.drive.patch
@@ -0,0 +1,25 @@
+From d7d43749cd53e68783cb4cebbf74dc0732fc4f10 Mon Sep 17 00:00:00 2001
+From: Harald Hoyer <harald at redhat.com>
+Date: Fri, 1 Jul 2011 10:30:02 +0200
+Subject: [PATCH] kernel-modules/insmodpost.sh: fixed handling rd.driver.post=
+
+---
+ modules.d/90kernel-modules/insmodpost.sh |    2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/modules.d/90kernel-modules/insmodpost.sh b/modules.d/90kernel-modules/insmodpost.sh
+index c3d7714..fafa7ff 100755
+--- a/modules.d/90kernel-modules/insmodpost.sh
++++ b/modules.d/90kernel-modules/insmodpost.sh
+@@ -2,7 +2,7 @@
+ # -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
+ # ex: ts=8 sw=4 sts=4 et filetype=sh
+ 
+-for p in $(getargs rd.driver.post rdinsmodpost=); do 
++for i in $(getargs rd.driver.post rdinsmodpost=); do 
+     (
+         IFS=,
+         for p in $i; do 
+-- 
+1.7.9.3
+
diff --git a/0038-parse-kernel.sh-wrong-index-was-used-in-for-loop.patch b/0038-parse-kernel.sh-wrong-index-was-used-in-for-loop.patch
new file mode 100644
index 0000000..d2aee5e
--- /dev/null
+++ b/0038-parse-kernel.sh-wrong-index-was-used-in-for-loop.patch
@@ -0,0 +1,35 @@
+From 76fcf2a0b25c8f7b6b26dfffda65d60bb72e923c Mon Sep 17 00:00:00 2001
+From: Harald Hoyer <harald at redhat.com>
+Date: Fri, 6 May 2011 12:06:20 +0200
+Subject: [PATCH] parse-kernel.sh: wrong index was used in for loop
+
+Thanks Mike Snitzer <msnitzer at redhat.com>
+---
+ modules.d/90kernel-modules/parse-kernel.sh |    4 ++--
+ 1 file changed, 2 insertions(+), 2 deletions(-)
+
+diff --git a/modules.d/90kernel-modules/parse-kernel.sh b/modules.d/90kernel-modules/parse-kernel.sh
+index fceccaa..9323d42 100755
+--- a/modules.d/90kernel-modules/parse-kernel.sh
++++ b/modules.d/90kernel-modules/parse-kernel.sh
+@@ -2,7 +2,7 @@
+ # -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
+ # ex: ts=8 sw=4 sts=4 et filetype=sh
+ 
+-for p in $(getargs rd.driver.pre rdloaddriver=); do 
++for i in $(getargs rd.driver.pre rdloaddriver=); do 
+     ( 
+         IFS=,
+         for p in $i; do 
+@@ -11,7 +11,7 @@ for p in $(getargs rd.driver.pre rdloaddriver=); do
+     )
+ done
+ 
+-for p in $(getargs rd.driver.blacklist rdblacklist=); do 
++for i in $(getargs rd.driver.blacklist rdblacklist=); do 
+     (
+         IFS=,
+         for p in $i; do 
+-- 
+1.7.9.3
+
diff --git a/0039-lsinitrd-default-to-boot-initramfs-uname-r-.img.patch b/0039-lsinitrd-default-to-boot-initramfs-uname-r-.img.patch
new file mode 100644
index 0000000..b55d58d
--- /dev/null
+++ b/0039-lsinitrd-default-to-boot-initramfs-uname-r-.img.patch
@@ -0,0 +1,50 @@
+From a1a5f047f517e659f5a5ffd970474ccdf27e5ac2 Mon Sep 17 00:00:00 2001
+From: Harald Hoyer <harald at redhat.com>
+Date: Thu, 31 Mar 2011 19:49:43 +0200
+Subject: [PATCH] lsinitrd: default to /boot/initramfs-$(uname -r).img
+
+---
+ lsinitrd |   15 ++++++++-------
+ 1 file changed, 8 insertions(+), 7 deletions(-)
+
+diff --git a/lsinitrd b/lsinitrd
+index 906946d..0d92bcc 100755
+--- a/lsinitrd
++++ b/lsinitrd
+@@ -19,11 +19,12 @@
+ # along with this program.  If not, see <http://www.gnu.org/licenses/>.
+ #
+ 
+-[[ $# -eq 1 || $# -eq 2 ]] || { echo "Usage: $(basename $0) <initramfs file> [<filename>]" ; exit 1 ; }
+-[[ -f $1 ]]    || { echo "$1 does not exist" ; exit 1 ; }
++[[ $# -le 2 ]] || { echo "Usage: $(basename $0) [<initramfs file> [<filename>]]" ; exit 1 ; }
++image="${1:-/boot/initramfs-$(uname -r).img}"
++[[ -f "$image" ]]    || { echo "$image does not exist" ; exit 1 ; }
+ 
+ CAT=zcat
+-FILE_T=$(file $1)
++FILE_T=$(file "$image")
+ 
+ if [[ "$FILE_T" =~ ": gzip compressed data" ]]; then
+     CAT=zcat
+@@ -34,13 +35,13 @@ elif [[ "$FILE_T" =~ ": data" ]]; then
+ fi
+ 
+ if [[ $# -eq 2 ]]; then
+-    $CAT $1 | cpio --extract --verbose --quiet --to-stdout ${2#/} 2>/dev/null
++    $CAT $image | cpio --extract --verbose --quiet --to-stdout ${2#/} 2>/dev/null
+     exit $?
+ fi
+ 
+-echo "$1:"
++echo "$image:"
+ echo "========================================================================"
+-$CAT $1 | cpio --extract --verbose --quiet --to-stdout 'lib/dracut/dracut-*' 2>/dev/null
++$CAT "$image" | cpio --extract --verbose --quiet --to-stdout 'lib/dracut/dracut-*' 2>/dev/null 
+ echo "========================================================================"
+-$CAT $1 | cpio --extract --verbose --quiet --list
++$CAT "$image" | cpio --extract --verbose --quiet --list
+ echo "========================================================================"
+-- 
+1.7.9.3
+
diff --git a/0040-fcoe-parse-fcoe.sh-s-source-.-g.patch b/0040-fcoe-parse-fcoe.sh-s-source-.-g.patch
new file mode 100644
index 0000000..111ec55
--- /dev/null
+++ b/0040-fcoe-parse-fcoe.sh-s-source-.-g.patch
@@ -0,0 +1,36 @@
+From 4af1a915ad9e2017afbb74900b97023db4a5c5e9 Mon Sep 17 00:00:00 2001
+From: Harald Hoyer <harald at redhat.com>
+Date: Fri, 8 Apr 2011 10:21:14 +0200
+Subject: [PATCH] fcoe/parse-fcoe.sh: s#source#.#g
+
+dash does not understand "source"
+---
+ modules.d/95fcoe/parse-fcoe.sh |    6 +++---
+ 1 file changed, 3 insertions(+), 3 deletions(-)
+
+diff --git a/modules.d/95fcoe/parse-fcoe.sh b/modules.d/95fcoe/parse-fcoe.sh
+index 4576d68..e42cf2a 100755
+--- a/modules.d/95fcoe/parse-fcoe.sh
++++ b/modules.d/95fcoe/parse-fcoe.sh
+@@ -61,7 +61,7 @@ if [ "$fcoe_interface" = "edd" ]; then
+                 unset fcoe_mac
+                 unset fcoe_interface
+                 fcoe_mac=$(cat ${nic}/address)
+-                [ -n "$fcoe_mac" ] && source /sbin/fcoe-genrules.sh
++                [ -n "$fcoe_mac" ] && . /sbin/fcoe-genrules.sh
+             fi
+         done
+     done
+@@ -73,6 +73,6 @@ else
+         if [ "$fcoe_dcb" != "nodcb" -a "$fcoe_dcb" != "dcb" ] ; then
+             warn "Invalid FCoE DCB option: $fcoe_dcb"
+         fi
+-        source /sbin/fcoe-genrules.sh
++        . /sbin/fcoe-genrules.sh
+     done
+-fi
+\ No newline at end of file
++fi
+-- 
+1.7.9.3
+
diff --git a/0041-base-crypt-install-umount-because-it-is-used.patch b/0041-base-crypt-install-umount-because-it-is-used.patch
new file mode 100644
index 0000000..51711ea
--- /dev/null
+++ b/0041-base-crypt-install-umount-because-it-is-used.patch
@@ -0,0 +1,41 @@
+From f31ba2014004b76b82768f1a949587d9a4e515d0 Mon Sep 17 00:00:00 2001
+From: Harald Hoyer <harald at redhat.com>
+Date: Wed, 20 Apr 2011 16:51:39 +0200
+Subject: [PATCH] base, crypt: install umount, because it is used
+
+---
+ modules.d/90crypt/module-setup.sh |    4 +---
+ modules.d/99base/module-setup.sh  |    2 +-
+ 2 files changed, 2 insertions(+), 4 deletions(-)
+
+diff --git a/modules.d/90crypt/module-setup.sh b/modules.d/90crypt/module-setup.sh
+index 8745477..8751a6a 100755
+--- a/modules.d/90crypt/module-setup.sh
++++ b/modules.d/90crypt/module-setup.sh
+@@ -35,9 +35,7 @@ installkernel() {
+ }
+ 
+ install() {
+-    inst cryptsetup 
+-    inst rmdir
+-    inst readlink
++    dracut_install cryptsetup rmdir readlink umount
+     inst "$moddir"/cryptroot-ask.sh /sbin/cryptroot-ask
+     inst "$moddir"/probe-keydev.sh /sbin/probe-keydev
+     inst_hook cmdline 10 "$moddir/parse-keydev.sh"
+diff --git a/modules.d/99base/module-setup.sh b/modules.d/99base/module-setup.sh
+index ddf56ce..8fa8ff4 100755
+--- a/modules.d/99base/module-setup.sh
++++ b/modules.d/99base/module-setup.sh
+@@ -13,7 +13,7 @@ depends() {
+ 
+ install() {
+     dracut_install mount mknod mkdir modprobe pidof sleep chroot \
+-        sed ls flock cp mv dmesg rm ln rmmod mkfifo 
++        sed ls flock cp mv dmesg rm ln rmmod mkfifo umount
+     dracut_install -o less 
+     if [ ! -e "${initdir}/bin/sh" ]; then
+         dracut_install bash
+-- 
+1.7.9.3
+
diff --git a/0042-kernel-modules-inst-modules.builtin-if-there-s-no-mo.patch b/0042-kernel-modules-inst-modules.builtin-if-there-s-no-mo.patch
new file mode 100644
index 0000000..33c94e8
--- /dev/null
+++ b/0042-kernel-modules-inst-modules.builtin-if-there-s-no-mo.patch
@@ -0,0 +1,34 @@
+From b1473f22092dcb269abc7e2863328c1c870c31f1 Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Amadeusz=20=C5=BBo=C5=82nowski?= <aidecoe at aidecoe.name>
+Date: Fri, 22 Apr 2011 17:43:11 +0200
+Subject: [PATCH] kernel-modules: inst modules.builtin if there's no
+ modules.builtin.bin
+
+Also report failure if none of them exist.
+---
+ modules.d/90kernel-modules/module-setup.sh |   11 ++++++++++-
+ 1 file changed, 10 insertions(+), 1 deletion(-)
+
+diff --git a/modules.d/90kernel-modules/module-setup.sh b/modules.d/90kernel-modules/module-setup.sh
+index 5f0e4a7..5764bf5 100755
+--- a/modules.d/90kernel-modules/module-setup.sh
++++ b/modules.d/90kernel-modules/module-setup.sh
+@@ -46,5 +46,14 @@ install() {
+     dracut_install $(find /etc/modprobe.d/ -type f -name '*.conf')
+     inst_hook cmdline 01 "$moddir/parse-kernel.sh"
+     inst_simple "$moddir/insmodpost.sh" /sbin/insmodpost.sh
+-    inst "$srcmods/modules.builtin.bin" "/lib/modules/$kernel/modules.builtin.bin"
++
++    local f
++
++    for f in modules.builtin.bin modules.builtin; do
++        [[ $srcmods/$f ]] && inst "$srcmods/$f" "/lib/modules/$kernel/$f" \
++            && break
++    done || {
++        dfatal "No modules.builtin.bin and modules.builtin found!"
++        return 1
++    }
+ }
+-- 
+1.7.9.3
+
diff --git a/0043-dracut-use-var-tmp-rather-than-tmp-for-the-initramfs.patch b/0043-dracut-use-var-tmp-rather-than-tmp-for-the-initramfs.patch
new file mode 100644
index 0000000..28318fb
--- /dev/null
+++ b/0043-dracut-use-var-tmp-rather-than-tmp-for-the-initramfs.patch
@@ -0,0 +1,27 @@
+From 918086bf190cc5e4ff7093dc1018d78216a0e58e Mon Sep 17 00:00:00 2001
+From: Harald Hoyer <harald at redhat.com>
+Date: Tue, 10 May 2011 10:59:18 +0200
+Subject: [PATCH] dracut: use /var/tmp rather than /tmp for the initramfs
+ creation
+
+/tmp might be to small to hold the initramfs image
+---
+ dracut |    2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/dracut b/dracut
+index 15a5ee5..55ec818 100755
+--- a/dracut
++++ b/dracut
+@@ -446,7 +446,7 @@ elif [[ -f "$outfile" && ! -w "$outfile" ]]; then
+ fi
+ 
+ [[ $TMPDIR && ! -w $TMPDIR ]] && unset TMPDIR
+-readonly initdir=$(mktemp -d -t initramfs.XXXXXX)
++readonly initdir=$(mktemp --tmpdir=/var/tmp/ -d -t initramfs.XXXXXX)
+ 
+ # clean up after ourselves no matter how we die.
+ trap 'ret=$?;rm -rf "$initdir";exit $ret;' EXIT 
+-- 
+1.7.9.3
+
diff --git a/0044-dracut-functions-only-dinfo-about-missing-firmware-f.patch b/0044-dracut-functions-only-dinfo-about-missing-firmware-f.patch
new file mode 100644
index 0000000..678a2fa
--- /dev/null
+++ b/0044-dracut-functions-only-dinfo-about-missing-firmware-f.patch
@@ -0,0 +1,34 @@
+From a8d8a5bfb4e91e50647b5e5bceaefd23497d4ced Mon Sep 17 00:00:00 2001
+From: Harald Hoyer <harald at redhat.com>
+Date: Tue, 10 May 2011 11:18:58 +0200
+Subject: [PATCH] dracut-functions: only dinfo() about missing firmware files
+
+People are scared about those messages, so only dwarn() if the module
+is actually loaded on the system.
+---
+ dracut-functions |    9 +++++++--
+ 1 file changed, 7 insertions(+), 2 deletions(-)
+
+diff --git a/dracut-functions b/dracut-functions
+index 2fc2471..af82f8a 100755
+--- a/dracut-functions
++++ b/dracut-functions
+@@ -685,8 +685,13 @@ install_kmod_with_fw() {
+             fi
+         done
+         if [[ $found != yes ]]; then
+-            dwarn "Possible missing firmware \"${fw}\" for kernel module" \
+-                "\"${mod}.ko\""
++            if ! grep -qe "\<${modname//-/_}\>" /proc/modules; then
++                dinfo "Possible missing firmware \"${fw}\" for kernel module" \
++                    "\"${modname}.ko\""
++            else
++                dwarn "Possible missing firmware \"${fw}\" for kernel module" \
++                    "\"${modname}.ko\""
++            fi
+         fi
+     done
+     return 0
+-- 
+1.7.9.3
+
diff --git a/0045-dracut-set-TMPDIR-to-var-tmp.patch b/0045-dracut-set-TMPDIR-to-var-tmp.patch
new file mode 100644
index 0000000..e554952
--- /dev/null
+++ b/0045-dracut-set-TMPDIR-to-var-tmp.patch
@@ -0,0 +1,27 @@
+From 493d84af5a92a75d2e1b6176ad3e38b384381edd Mon Sep 17 00:00:00 2001
+From: Harald Hoyer <harald at redhat.com>
+Date: Mon, 16 May 2011 18:10:27 +0200
+Subject: [PATCH] dracut: set TMPDIR to /var/tmp
+
+we really don't want anything else than /var/tmp for our operations.
+/tmp might be too small and any other location might not fit our needs.
+---
+ dracut |    2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/dracut b/dracut
+index 55ec818..9ef01e9 100755
+--- a/dracut
++++ b/dracut
+@@ -445,7 +445,7 @@ elif [[ -f "$outfile" && ! -w "$outfile" ]]; then
+     exit 1
+ fi
+ 
+-[[ $TMPDIR && ! -w $TMPDIR ]] && unset TMPDIR
++readonly TMPDIR=/var/tmp
+ readonly initdir=$(mktemp --tmpdir=/var/tmp/ -d -t initramfs.XXXXXX)
+ 
+ # clean up after ourselves no matter how we die.
+-- 
+1.7.9.3
+
diff --git a/0046-lvm-lvm_scan.sh-remove-references-to-lvm-cleanup.patch b/0046-lvm-lvm_scan.sh-remove-references-to-lvm-cleanup.patch
new file mode 100644
index 0000000..7090ad2
--- /dev/null
+++ b/0046-lvm-lvm_scan.sh-remove-references-to-lvm-cleanup.patch
@@ -0,0 +1,29 @@
+From ccc5ad42a4baf9f990981acc2b04944d9603ad77 Mon Sep 17 00:00:00 2001
+From: Harald Hoyer <harald at redhat.com>
+Date: Tue, 17 May 2011 12:29:47 +0200
+Subject: [PATCH] lvm/lvm_scan.sh: remove references to lvm-cleanup
+
+lvm-cleanup was removed long time ago
+
+Conflicts:
+
+	modules.d/90lvm/lvm_scan.sh
+---
+ modules.d/90lvm/lvm_scan.sh |    2 --
+ 1 file changed, 2 deletions(-)
+
+diff --git a/modules.d/90lvm/lvm_scan.sh b/modules.d/90lvm/lvm_scan.sh
+index 3f2a923..41325b2 100755
+--- a/modules.d/90lvm/lvm_scan.sh
++++ b/modules.d/90lvm/lvm_scan.sh
+@@ -120,7 +120,5 @@ fi
+ 
+ if [ "$lvmwritten" ]; then
+     rm -f /etc/lvm/lvm.conf
+-    ln -s /sbin/lvm-cleanup $hookdir/pre-pivot/30-lvm-cleanup.sh 2>/dev/null
+-    ln -s /sbin/lvm-cleanup $hookdir/pre-pivot/31-lvm-cleanup.sh 2>/dev/null
+ fi
+ unset lvmwritten
+-- 
+1.7.9.3
+
diff --git a/0047-lsinitrd-handle-new-output-of-file-for-XZ-compressed.patch b/0047-lsinitrd-handle-new-output-of-file-for-XZ-compressed.patch
new file mode 100644
index 0000000..adee722
--- /dev/null
+++ b/0047-lsinitrd-handle-new-output-of-file-for-XZ-compressed.patch
@@ -0,0 +1,26 @@
+From b325af9c601e62da4acaadba47f7d4b574fe42a0 Mon Sep 17 00:00:00 2001
+From: Harald Hoyer <harald at redhat.com>
+Date: Thu, 19 May 2011 23:20:00 +0200
+Subject: [PATCH] lsinitrd: handle new output of "file" for XZ compressed
+ images
+
+---
+ lsinitrd |    2 ++
+ 1 file changed, 2 insertions(+)
+
+diff --git a/lsinitrd b/lsinitrd
+index 0d92bcc..ee1d348 100755
+--- a/lsinitrd
++++ b/lsinitrd
+@@ -30,6 +30,8 @@ if [[ "$FILE_T" =~ ": gzip compressed data" ]]; then
+     CAT=zcat
+ elif [[ "$FILE_T" =~ ": xz compressed data" ]]; then
+     CAT=xzcat
++elif [[ "$FILE_T" =~ ": XZ compressed data" ]]; then
++    CAT=xzcat
+ elif [[ "$FILE_T" =~ ": data" ]]; then
+     CAT=lzcat
+ fi
+-- 
+1.7.9.3
+
diff --git a/0048-base-init-mount-virtual-filesystems-with-the-filesys.patch b/0048-base-init-mount-virtual-filesystems-with-the-filesys.patch
new file mode 100644
index 0000000..534cc16
--- /dev/null
+++ b/0048-base-init-mount-virtual-filesystems-with-the-filesys.patch
@@ -0,0 +1,55 @@
+From 9ff9165103f365e0e33c3fc11b5a8b70a7b15575 Mon Sep 17 00:00:00 2001
+From: Harald Hoyer <harald at redhat.com>
+Date: Fri, 17 Jun 2011 13:14:18 +0200
+Subject: [PATCH] base/init: mount virtual filesystems with the filesystem
+ type as source
+
+Conflicts:
+
+	modules.d/99base/init
+---
+ modules.d/99base/init |   13 ++++++++-----
+ 1 file changed, 8 insertions(+), 5 deletions(-)
+
+diff --git a/modules.d/99base/init b/modules.d/99base/init
+index ceb3619..d306fda 100755
+--- a/modules.d/99base/init
++++ b/modules.d/99base/init
+@@ -78,8 +78,11 @@ RDDEBUG=""
+ [ -c /dev/null ] || mknod -m 0666 /dev/null c 1 3
+ 
+ # mount some important things
+-mount -t proc -o nosuid,noexec,nodev /proc /proc >/dev/null 2>&1
+-mount -t sysfs -o nosuid,noexec,nodev /sys /sys >/dev/null 2>&1
++[ ! -d /proc/self ] && \
++    mount -t proc -o nosuid,noexec,nodev proc /proc >/dev/null 2>&1
++
++[ ! -d /sys/kernel ] && \
++    mount -t sysfs -o nosuid,noexec,nodev sysfs /sys >/dev/null 2>&1
+ 
+ if [ -x /lib/systemd/systemd-timestamp ]; then
+     RD_TIMESTAMP=$(/lib/systemd/systemd-timestamp)
+@@ -90,9 +93,9 @@ fi
+ 
+ if [ ! -c /dev/ptmx ]; then
+     # try to mount devtmpfs
+-    if ! mount -t devtmpfs -o mode=0755,nosuid udev /dev >/dev/null 2>&1; then
++    if ! mount -t devtmpfs -o mode=0755,nosuid,noexec devtmpfs /dev >/dev/null 2>&1; then
+         # if it failed fall back to normal tmpfs
+-        mount -t tmpfs -o mode=0755,nosuid udev /dev >/dev/null 2>&1 
++        mount -t tmpfs -o mode=0755,nosuid tmpfs /dev >/dev/null 2>&1
+         # Make some basic devices first, let udev handle the rest
+         mknod -m 0666 /dev/null c 1 3
+         mknod -m 0666 /dev/ptmx c 5 2
+@@ -110,7 +113,7 @@ mkdir -p -m 0755 /dev/shm /dev/pts /run
+ mount -t devpts -o gid=5,mode=620,noexec,nosuid devpts /dev/pts >/dev/null 2>&1
+ mount -t tmpfs -o mode=1777,nosuid,nodev  tmpfs /dev/shm >/dev/null 2>&1
+ # create /run which will obsolete /var/run
+-mount -t tmpfs -o mode=0755,nodev,noexec,nosuid tmpfs /run >/dev/null 2>&1
++mount -t tmpfs -o mode=0755,nosuid,nodev tmpfs /run >/dev/null 2>&1
+ 
+ mkdir -m 0755 /run/initramfs
+ 
+-- 
+1.7.9.3
+
diff --git a/0049-base-init-do-not-mount-devtmpfs-with-noexec.patch b/0049-base-init-do-not-mount-devtmpfs-with-noexec.patch
new file mode 100644
index 0000000..6f2e935
--- /dev/null
+++ b/0049-base-init-do-not-mount-devtmpfs-with-noexec.patch
@@ -0,0 +1,28 @@
+From e286d68d033161a34ec0bc5febf3736afd37cda9 Mon Sep 17 00:00:00 2001
+From: Harald Hoyer <harald at redhat.com>
+Date: Fri, 17 Jun 2011 13:49:57 +0200
+Subject: [PATCH] base/init: do not mount devtmpfs with "noexec"
+
+https://bugzilla.redhat.com/show_bug.cgi?id=710711
+
+mmap /dev/zero: Operation not permitted
+---
+ modules.d/99base/init |    2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/modules.d/99base/init b/modules.d/99base/init
+index d306fda..b2257b8 100755
+--- a/modules.d/99base/init
++++ b/modules.d/99base/init
+@@ -93,7 +93,7 @@ fi
+ 
+ if [ ! -c /dev/ptmx ]; then
+     # try to mount devtmpfs
+-    if ! mount -t devtmpfs -o mode=0755,nosuid,noexec devtmpfs /dev >/dev/null 2>&1; then
++    if ! mount -t devtmpfs -o mode=0755,nosuid devtmpfs /dev >/dev/null 2>&1; then
+         # if it failed fall back to normal tmpfs
+         mount -t tmpfs -o mode=0755,nosuid tmpfs /dev >/dev/null 2>&1
+         # Make some basic devices first, let udev handle the rest
+-- 
+1.7.9.3
+
diff --git a/0050-selinux-selinux-loadpolicy.sh-set-LANG-C-for-load_po.patch b/0050-selinux-selinux-loadpolicy.sh-set-LANG-C-for-load_po.patch
new file mode 100644
index 0000000..bbe5760
--- /dev/null
+++ b/0050-selinux-selinux-loadpolicy.sh-set-LANG-C-for-load_po.patch
@@ -0,0 +1,42 @@
+From 8c86c476b047cce0357e8f197d709885bbdf07cc Mon Sep 17 00:00:00 2001
+From: Harald Hoyer <harald at redhat.com>
+Date: Wed, 22 Jun 2011 13:33:37 +0200
+Subject: [PATCH] selinux/selinux-loadpolicy.sh: set LANG=C for load_policy
+ and restorecon
+
+set LANG=C for chroot execed tools, because the terminal might not be
+able to display the messages and the rest is not translated anyway.
+---
+ modules.d/98selinux/selinux-loadpolicy.sh |    6 +++---
+ 1 file changed, 3 insertions(+), 3 deletions(-)
+
+diff --git a/modules.d/98selinux/selinux-loadpolicy.sh b/modules.d/98selinux/selinux-loadpolicy.sh
+index 86a99e9..c4decae 100755
+--- a/modules.d/98selinux/selinux-loadpolicy.sh
++++ b/modules.d/98selinux/selinux-loadpolicy.sh
+@@ -27,11 +27,11 @@ rd_load_policy()
+         # load_policy does mount /proc and /selinux in 
+         # libselinux,selinux_init_load_policy()
+         if [ -x "$NEWROOT/sbin/load_policy" ]; then
+-            out=$(chroot "$NEWROOT" /sbin/load_policy -i 2>&1)
++            out=$(LANG=C chroot "$NEWROOT" /sbin/load_policy -i 2>&1)
+             ret=$?
+             info $out
+         else
+-            out=$(chroot "$NEWROOT" /usr/sbin/load_policy -i 2>&1)
++            out=$(LANG=C chroot "$NEWROOT" /usr/sbin/load_policy -i 2>&1)
+             ret=$?
+             info $out
+         fi
+@@ -44,7 +44,7 @@ rd_load_policy()
+             # If machine requires a relabel, force to permissive mode
+             [ -e "$NEWROOT"/.autorelabel ] && ( echo 0 > "$NEWROOT"/selinux/enforce )
+             mount --bind /dev "$NEWROOT/dev"
+-            chroot "$NEWROOT" /sbin/restorecon -R /dev
++            LANG=C chroot "$NEWROOT" /sbin/restorecon -R /dev
+             return 0
+         fi
+ 
+-- 
+1.7.9.3
+
diff --git a/0051-dracut.spec-fixed-logrotate.patch b/0051-dracut.spec-fixed-logrotate.patch
new file mode 100644
index 0000000..b80ae5d
--- /dev/null
+++ b/0051-dracut.spec-fixed-logrotate.patch
@@ -0,0 +1,45 @@
+From 2f3aa7537c646456eec33d59abd24e30d1cb7dce Mon Sep 17 00:00:00 2001
+From: Harald Hoyer <harald at redhat.com>
+Date: Mon, 18 Jul 2011 16:31:55 +0200
+Subject: [PATCH] dracut.spec: fixed logrotate
+
+---
+ dracut.spec |    8 +++-----
+ 1 file changed, 3 insertions(+), 5 deletions(-)
+
+diff --git a/dracut.spec b/dracut.spec
+index 9af4418..f556c27 100644
+--- a/dracut.spec
++++ b/dracut.spec
+@@ -202,8 +202,8 @@ rm $RPM_BUILD_ROOT/sbin/mkinitrd
+ rm $RPM_BUILD_ROOT/sbin/lsinitrd
+ %endif
+ 
+-mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d/dracut
+-install -m 0644 dracut.logrotate $RPM_BUILD_ROOT/etc/logrotate.d/dracut
++mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
++install -m 0644 dracut.logrotate $RPM_BUILD_ROOT/etc/logrotate.d/dracut_log
+ 
+ %clean
+ rm -rf $RPM_BUILD_ROOT
+@@ -228,7 +228,6 @@ rm -rf $RPM_BUILD_ROOT
+ %config(noreplace) /etc/dracut.conf.d/01-dist.conf
+ %endif
+ %dir /etc/dracut.conf.d
+-%config(noreplace) /etc/logrotate.d/dracut
+ %{_mandir}/man8/dracut.8*
+ %{_mandir}/man7/dracut.kernel.7*
+ %{_mandir}/man5/dracut.conf.5*
+@@ -261,8 +260,7 @@ rm -rf $RPM_BUILD_ROOT
+ %{_datadir}/dracut/modules.d/98selinux
+ %{_datadir}/dracut/modules.d/98syslog
+ %{_datadir}/dracut/modules.d/99base
+-# logfile needs no logrotate, because it gets overwritten
+-# for every dracut run
++%config(noreplace) /etc/logrotate.d/dracut_log
+ %attr(0644,root,root) %ghost %config(missingok,noreplace) %{_localstatedir}/log/dracut.log
+ %dir %{_sharedstatedir}/initramfs
+ 
+-- 
+1.7.9.3
+
diff --git a/0052-dracut.spec-remove-noreplace-for-01-dist.conf.patch b/0052-dracut.spec-remove-noreplace-for-01-dist.conf.patch
new file mode 100644
index 0000000..313f89e
--- /dev/null
+++ b/0052-dracut.spec-remove-noreplace-for-01-dist.conf.patch
@@ -0,0 +1,25 @@
+From 2cc8422496df3b20a4dadd67066adf653bd56d03 Mon Sep 17 00:00:00 2001
+From: Harald Hoyer <harald at redhat.com>
+Date: Wed, 20 Jul 2011 12:39:58 +0200
+Subject: [PATCH] dracut.spec: remove noreplace for 01-dist.conf
+
+---
+ dracut.spec |    2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/dracut.spec b/dracut.spec
+index f556c27..5d83bc5 100644
+--- a/dracut.spec
++++ b/dracut.spec
+@@ -225,7 +225,7 @@ rm -rf $RPM_BUILD_ROOT
+ %{_datadir}/dracut/dracut-logger
+ %config(noreplace) /etc/dracut.conf
+ %if 0%{?fedora} || 0%{?suse_version}
+-%config(noreplace) /etc/dracut.conf.d/01-dist.conf
++%config /etc/dracut.conf.d/01-dist.conf
+ %endif
+ %dir /etc/dracut.conf.d
+ %{_mandir}/man8/dracut.8*
+-- 
+1.7.9.3
+
diff --git a/0053-add-convertfs-module.patch b/0053-add-convertfs-module.patch
new file mode 100644
index 0000000..fd8a90c
--- /dev/null
+++ b/0053-add-convertfs-module.patch
@@ -0,0 +1,250 @@
+From 678f339be0e6effa68a1e456cc5708aa7ff425db Mon Sep 17 00:00:00 2001
+From: Harald Hoyer <harald at redhat.com>
+Date: Mon, 26 Mar 2012 08:52:15 +0200
+Subject: [PATCH] add convertfs module
+
+---
+ modules.d/30convertfs/convertfs.sh    |  184 +++++++++++++++++++++++++++++++++
+ modules.d/30convertfs/do-convertfs.sh |   11 ++
+ modules.d/30convertfs/module-setup.sh |   20 ++++
+ 3 files changed, 215 insertions(+)
+ create mode 100755 modules.d/30convertfs/convertfs.sh
+ create mode 100755 modules.d/30convertfs/do-convertfs.sh
+ create mode 100755 modules.d/30convertfs/module-setup.sh
+
+diff --git a/modules.d/30convertfs/convertfs.sh b/modules.d/30convertfs/convertfs.sh
+new file mode 100755
+index 0000000..d1d25aa
+--- /dev/null
++++ b/modules.d/30convertfs/convertfs.sh
+@@ -0,0 +1,184 @@
++#!/bin/bash
++# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
++# ex: ts=8 sw=4 sts=4 et filetype=sh
++
++ROOT="$1"
++
++if [[ ! -d "$ROOT" ]]; then
++    echo "Usage: $0 <rootdir>"
++    exit 1
++fi
++
++if [[ "$ROOT" -ef / ]]; then
++    echo "Can't convert the running system."
++    echo "Please boot with 'rd.convertfs' on the kernel command line,"
++    echo "to update with the help of the initramfs,"
++    echo "or run this script from a rescue system."
++    exit 1
++fi
++
++while [[ "$ROOT" != "${ROOT%/}" ]]; do
++    ROOT=${ROOT%/}
++done
++
++if [ ! -L $ROOT/var/run -a -e $ROOT/var/run ]; then
++    echo "Converting /var/run to symlink"
++    mv -f $ROOT/var/run $ROOT/var/run.runmove~
++    ln -sfn ../run $ROOT/var/run
++fi
++
++if [ ! -L $ROOT/var/lock -a -e $ROOT/var/lock ]; then
++    echo "Converting /var/lock to symlink"
++    mv -f $ROOT/var/lock $ROOT/var/lock.lockmove~
++    ln -sfn ../run/lock $ROOT/var/lock
++fi
++
++needconvert() {
++    for dir in "$ROOT/bin" "$ROOT/sbin" "$ROOT/lib" "$ROOT/lib64"; do
++        if [[ -e "$dir" ]]; then
++            [[ -L "$dir" ]] || return 0
++        fi
++    done
++    return 1
++}
++
++if ! [ -e "$ROOT/usr/bin" ]; then
++    echo "$ROOT/usr/bin does not exist!"
++    echo "Make sure, the kernel command line has enough information"
++    echo "to mount /usr (man dracut.cmdline)"
++    exit 1
++fi
++
++
++if ! needconvert; then
++    echo "Your system is already converted."
++    exit 0
++fi
++
++testfile="$ROOT/.usrmovecheck$$"
++rm -f "$testfile"
++> "$testfile"
++if [[ ! -e "$testfile" ]]; then
++    echo "Cannot write to $ROOT/"
++    exit 1
++fi
++rm -f "$testfile"
++
++testfile="$ROOT/usr/.usrmovecheck$$"
++rm -f "$testfile"
++> "$testfile"
++if [[ ! -e "$testfile" ]]; then
++    echo "Cannot write to $ROOT/usr/"
++    exit 1
++fi
++rm -f "$testfile"
++
++ismounted() {
++    while read a m a; do
++        [[ "$m" = "$1" ]] && return 0
++    done < /proc/mounts
++    return 1
++}
++
++# clean up after ourselves no matter how we die.
++cleanup() {
++    echo "Something failed. Move back to the original state"
++    for dir in "$ROOT/bin" "$ROOT/sbin" "$ROOT/lib" "$ROOT/lib64" \
++	"$ROOT/usr/bin" "$ROOT/usr/sbin" "$ROOT/usr/lib" \
++        "$ROOT/usr/lib64"; do
++        [[ -d "${dir}.usrmove-new" ]] && rm -fr "${dir}.usrmove-new"
++        if [[ -d "${dir}.usrmove-old" ]]; then
++            mv "$dir" "${dir}.del~"
++            mv "${dir}.usrmove-old" "$dir"
++            rm -fr "${dir}.del~"
++        fi
++    done
++}
++
++trap 'ret=$?; [[ $ret -ne 0 ]] && cleanup;exit $ret;' EXIT
++trap 'exit 1;' SIGINT
++
++ismounted "$ROOT/usr" || CP_HARDLINK="-l"
++
++set -e
++
++# merge / and /usr in new dir in /usr
++for dir in bin sbin lib lib64; do
++    rm -rf "$ROOT/usr/${dir}.usrmove-new"
++    [[ -L "$ROOT/$dir" ]] && continue
++    [[ -d "$ROOT/$dir" ]] || continue
++    echo "Make a copy of \`$ROOT/usr/$dir'."
++    [[ -d "$ROOT/usr/$dir" ]] \
++        && cp -ax -l "$ROOT/usr/$dir" "$ROOT/usr/${dir}.usrmove-new"
++    echo "Merge the copy with \`$ROOT/$dir'."
++    [[ -d "$ROOT/usr/${dir}.usrmove-new" ]] \
++        || mkdir -p "$ROOT/usr/${dir}.usrmove-new"
++    cp -axT $CP_HARDLINK --backup --suffix=.usrmove~ "$ROOT/$dir" "$ROOT/usr/${dir}.usrmove-new"
++    echo "Clean up duplicates in \`$ROOT/usr/$dir'."
++    # delete all symlinks that have been backed up
++    find "$ROOT/usr/${dir}.usrmove-new" -type l -name '*.usrmove~' -delete || :
++    # replace symlink with backed up binary
++    find "$ROOT/usr/${dir}.usrmove-new" \
++        -name '*.usrmove~' \
++        -type f \
++        -exec bash -c 'p="{}";o=${p%%%%.usrmove~};
++                       [[ -L "$o" ]] && mv -f "$p" "$o"' ';' || :
++done
++# switch over merged dirs in /usr
++for dir in bin sbin lib lib64; do
++    [[ -d "$ROOT/usr/${dir}.usrmove-new" ]] || continue
++    echo "Switch to new \`$ROOT/usr/$dir'."
++    rm -fr "$ROOT/usr/${dir}.usrmove-old"
++    mv "$ROOT/usr/$dir" "$ROOT/usr/${dir}.usrmove-old"
++    mv "$ROOT/usr/${dir}.usrmove-new" "$ROOT/usr/$dir"
++done
++
++# replace dirs in / with links to /usr
++for dir in bin sbin lib lib64; do
++    [[ -L "$ROOT/$dir" ]] && continue
++    [[ -d "$ROOT/$dir" ]] || continue
++    echo "Create \`$ROOT/$dir' symlink."
++    rm -rf "$ROOT/${dir}.usrmove-old" || :
++    mv "$ROOT/$dir" "$ROOT/${dir}.usrmove-old"
++    ln -sfn usr/$dir "$ROOT/$dir"
++done
++
++echo "Clean up backup files."
++# everything seems to work; cleanup
++for dir in bin sbin lib lib64; do
++     # if we get killed in the middle of "rm -rf", ensure not to leave
++     # an incomplete directory, which is moved back by cleanup()
++    [[ -d "$ROOT/usr/${dir}.usrmove-old" ]] \
++        && mv "$ROOT/usr/${dir}.usrmove-old" "$ROOT/usr/${dir}.usrmove-old~"
++    [[ -d "$ROOT/${dir}.usrmove-old" ]] \
++        && mv "$ROOT/${dir}.usrmove-old" "$ROOT/${dir}.usrmove-old~"
++done
++
++for dir in bin sbin lib lib64; do
++    [[ -d "$ROOT/usr/${dir}.usrmove-old~" ]] \
++        && rm -rf "$ROOT/usr/${dir}.usrmove-old~" || :
++    [[ -d "$ROOT/${dir}.usrmove-old~" ]] \
++        && rm -rf "$ROOT/${dir}.usrmove-old~" || :
++done
++
++for dir in lib lib64; do
++    [[ -d "$ROOT/$dir" ]] || continue
++    for lib in "$ROOT"/usr/${dir}/lib*.so*.usrmove~; do
++        [[ -f $lib ]] || continue
++        mv $lib ${lib/.so/_so}
++    done
++done
++
++set +e
++
++echo "Run ldconfig."
++ldconfig -r "$ROOT"
++
++. $ROOT/etc/selinux/config
++if [ -n "$(command -v setfiles)" ] && [ "$SELINUX" != "disabled" ] && [ -f /etc/selinux/${SELINUXTYPE}/contexts/files/file_contexts ]; then
++    echo "Fixing SELinux labels"
++    setfiles -r $ROOT -p /etc/selinux/${SELINUXTYPE}/contexts/files/file_contexts $ROOT/sbin $ROOT/bin $ROOT/lib $ROOT/lib64 $ROOT/usr/lib $ROOT/usr/lib64 $ROOT/etc/ld.so.cache $ROOT/var/cache/ldconfig || :
++fi
++
++echo "Done."
++exit 0
+diff --git a/modules.d/30convertfs/do-convertfs.sh b/modules.d/30convertfs/do-convertfs.sh
+new file mode 100755
+index 0000000..99738e3
+--- /dev/null
++++ b/modules.d/30convertfs/do-convertfs.sh
+@@ -0,0 +1,11 @@
++#!/bin/bash
++# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
++# ex: ts=8 sw=4 sts=4 et filetype=sh
++
++if getargbool 0 rd.convertfs; then
++    if getargbool 0 rd.debug; then
++        bash -x convertfs "$NEWROOT" 2>&1 | vinfo
++    else
++        convertfs "$NEWROOT" 2>&1 | vinfo
++    fi
++fi
+diff --git a/modules.d/30convertfs/module-setup.sh b/modules.d/30convertfs/module-setup.sh
+new file mode 100755
+index 0000000..48ffa3e
+--- /dev/null
++++ b/modules.d/30convertfs/module-setup.sh
+@@ -0,0 +1,20 @@
++#!/bin/bash
++# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
++# ex: ts=8 sw=4 sts=4 et filetype=sh
++
++check() {
++    [[ $mount_needs ]] && return 1
++    return 255
++}
++
++depends() {
++    return 0
++}
++
++install() {
++    dracut_install bash
++    dracut_install find ldconfig mv rm cp ln 
++    inst_hook pre-pivot 99 "$moddir/do-convertfs.sh"
++    inst "$moddir/convertfs.sh" /usr/bin/convertfs
++}
++
+-- 
+1.7.9.3
+
diff --git a/0054-90mdraid-add-offroot-support.patch b/0054-90mdraid-add-offroot-support.patch
new file mode 100644
index 0000000..fe95721
--- /dev/null
+++ b/0054-90mdraid-add-offroot-support.patch
@@ -0,0 +1,192 @@
+From 5c3842eb7646c5dcb12d4ab0bacece641b4daeef Mon Sep 17 00:00:00 2001
+From: Harald Hoyer <harald at redhat.com>
+Date: Mon, 13 Feb 2012 21:16:31 +0100
+Subject: [PATCH] 90mdraid: add "--offroot" support
+
+---
+ modules.d/90mdraid/65-md-incremental-imsm.rules |    2 +-
+ modules.d/90mdraid/mdadm_auto.sh                |    6 +-
+ modules.d/90mdraid/mdcontainer_start.sh         |    3 +-
+ modules.d/90mdraid/mdraid-cleanup.sh            |   43 ++++++++-------
+ modules.d/90mdraid/mdraid_start.sh              |   67 ++++++++++++++---------
+ modules.d/90mdraid/parse-md.sh                  |    2 +
+ 6 files changed, 73 insertions(+), 50 deletions(-)
+ rewrite modules.d/90mdraid/mdraid-cleanup.sh (72%)
+ rewrite modules.d/90mdraid/mdraid_start.sh (81%)
+
+diff --git a/modules.d/90mdraid/65-md-incremental-imsm.rules b/modules.d/90mdraid/65-md-incremental-imsm.rules
+index 521a7e1..7a81930 100644
+--- a/modules.d/90mdraid/65-md-incremental-imsm.rules
++++ b/modules.d/90mdraid/65-md-incremental-imsm.rules
+@@ -37,7 +37,7 @@ LABEL="md_auto_end"
+ #
+ # Incrementally build the md array
+ #
+-RUN+="/sbin/mdadm -I $env{DEVNAME}"
++RUN+="/sbin/mdadm $env{rd_MD_OFFROOT} -I $env{DEVNAME}"
+ 
+ RUN+="/bin/ln -s /sbin/md_finished.sh $hookdir/initqueue/finished/md_finished.sh"
+ 
+diff --git a/modules.d/90mdraid/mdadm_auto.sh b/modules.d/90mdraid/mdadm_auto.sh
+index 0bfcd94..afe7021 100755
+--- a/modules.d/90mdraid/mdadm_auto.sh
++++ b/modules.d/90mdraid/mdadm_auto.sh
+@@ -2,6 +2,6 @@
+ # -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
+ # ex: ts=8 sw=4 sts=4 et filetype=sh
+ type getarg >/dev/null 2>&1 || . /lib/dracut-lib.sh
+-
+-info "Autoassembling MD Raid"    
+-/sbin/mdadm -As --auto=yes --run 2>&1 | vinfo
++_offroot=$(strstr "$(mdadm --help-options 2>&1)" offroot && echo --offroot)
++info "Autoassembling MD Raid"
++/sbin/mdadm $_offroot -As --auto=yes --run 2>&1 | vinfo
+diff --git a/modules.d/90mdraid/mdcontainer_start.sh b/modules.d/90mdraid/mdcontainer_start.sh
+index f2c0152..8ba50ea 100755
+--- a/modules.d/90mdraid/mdcontainer_start.sh
++++ b/modules.d/90mdraid/mdcontainer_start.sh
+@@ -6,7 +6,8 @@ type getarg >/dev/null 2>&1 || . /lib/dracut-lib.sh
+ md=$1
+ udevadm control --stop-exec-queue
+ # and activate any containers
+-mdadm -IR $md 2>&1 | vinfo
++_offroot=$(strstr "$(mdadm --help-options 2>&1)" offroot && echo --offroot)
++mdadm $_offroot -IR $md 2>&1 | vinfo
+ ln -s /sbin/mdraid-cleanup $hookdir/pre-pivot/30-mdraid-cleanup.sh 2>/dev/null
+ ln -s /sbin/mdraid-cleanup $hookdir/pre-pivot/31-mdraid-cleanup.sh 2>/dev/null
+ udevadm control --start-exec-queue
+diff --git a/modules.d/90mdraid/mdraid-cleanup.sh b/modules.d/90mdraid/mdraid-cleanup.sh
+dissimilarity index 72%
+index ea9e179..da86d65 100755
+--- a/modules.d/90mdraid/mdraid-cleanup.sh
++++ b/modules.d/90mdraid/mdraid-cleanup.sh
+@@ -1,19 +1,24 @@
+-#!/bin/sh
+-# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
+-# ex: ts=8 sw=4 sts=4 et filetype=sh
+-
+-# stop everything which is not busy
+-for i in /dev/md* /dev/md/*; do
+-    [ -b $i ] || continue
+-
+-    mddetail=$(udevadm info --query=property --name=$i)
+-    case "$mddetail" in 
+-        *MD_LEVEL=container*) 
+-        ;;
+-        *DEVTYPE=partition*)
+-        ;;
+-        *)
+-            mdadm --stop $i >/dev/null 2>&1
+-            ;;
+-    esac
+-done
++#!/bin/sh
++# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
++# ex: ts=8 sw=4 sts=4 et filetype=sh
++
++type getarg >/dev/null 2>&1 || . /lib/dracut-lib.sh
++
++_offroot=$(strstr "$(mdadm --help-options 2>&1)" offroot && echo --offroot)
++containers=""
++for md in /dev/md[0-9_]*; do
++    [ -b "$md" ] || continue
++    udevinfo="$(udevadm info --query=env --name=$md)"
++    strstr "$udevinfo" "DEVTYPE=partition" && continue
++    if strstr "$udevinfo" "MD_LEVEL=container"; then
++        containers="$containers $md"
++        continue
++    fi
++    mdadm $_offroot -S "$md" >/dev/null 2>&1
++done
++
++for md in $containers; do
++    mdadm $_offroot -S "$md" >/dev/null 2>&1
++done
++
++unset containers udevinfo _offroot
+diff --git a/modules.d/90mdraid/mdraid_start.sh b/modules.d/90mdraid/mdraid_start.sh
+dissimilarity index 81%
+index 1c9d7fe..0d1b3bf 100755
+--- a/modules.d/90mdraid/mdraid_start.sh
++++ b/modules.d/90mdraid/mdraid_start.sh
+@@ -1,26 +1,41 @@
+-#!/bin/sh
+-# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
+-# ex: ts=8 sw=4 sts=4 et filetype=sh
+-
+-type getarg >/dev/null 2>&1 || . /lib/dracut-lib.sh
+-# run mdadm if udev has settled
+-info "Assembling MD RAID arrays"
+-udevadm control --stop-exec-queue
+-mdadm -As --auto=yes --run 2>&1 | vinfo
+-mdadm -Is --run 2>&1 | vinfo
+-
+-# there could still be some leftover devices
+-# which have had a container added
+-for md in /dev/md[0-9]* /dev/md/*; do 
+-    [ -b "$md" ] || continue
+-    udevinfo="$(udevadm info --query=env --name=$md)"
+-    strstr "$udevinfo" "MD_UUID=" && continue
+-    strstr "$udevinfo" "MD_LEVEL=container" && continue
+-    strstr "$udevinfo" "DEVTYPE=partition" && continue
+-    mdadm --run "$md" 2>&1 | vinfo
+-done
+-unset udevinfo
+-
+-ln -s /sbin/mdraid-cleanup $hookdir/pre-pivot/30-mdraid-cleanup.sh 2>/dev/null
+-ln -s /sbin/mdraid-cleanup $hookdir/pre-pivot/31-mdraid-cleanup.sh 2>/dev/null
+-udevadm control --start-exec-queue
++#!/bin/sh
++# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
++# ex: ts=8 sw=4 sts=4 et filetype=sh
++
++type getarg >/dev/null 2>&1 || . /lib/dracut-lib.sh
++
++_md_force_run() {
++    local _offroot
++    _offroot=$(strstr "$(mdadm --help-options 2>&1)" offroot && echo --offroot)
++    local _udevinfo
++    local _path_s
++    local _path_d
++    local _offroot
++    _offroot=$(strstr "$(mdadm --help-options 2>&1)" offroot && echo --offroot)
++    # try to force-run anything not running yet
++    for md in /dev/md[0-9_]*; do
++        [ -b "$md" ] || continue
++        _udevinfo="$(udevadm info --query=env --name="$md")"
++        strstr "$_udevinfo" "MD_LEVEL=container" && continue
++        strstr "$_udevinfo" "DEVTYPE=partition" && continue
++
++        _path_s="/sys/$(udevadm info -q path -n "$md")/md/array_state"
++        [ ! -r "$_path_s" ] && continue
++
++        # inactive ?
++        [ "$(cat "$_path_s")" != "inactive" ] && continue
++
++        mdadm $_offroot -R "$md" 2>&1 | vinfo
++
++        # still inactive ?
++        [ "$(cat "$_path_s")" = "inactive" ] && continue
++
++        _path_d="${_path_s%/*}/degraded"
++        [ ! -r "$_path_d" ] && continue
++
++        # workaround for mdmon bug
++        [ "$(cat "$_path_d")" -gt "0" ] && mdmon $_offroot --takeover "$md"
++    done
++}
++
++_md_force_run
+diff --git a/modules.d/90mdraid/parse-md.sh b/modules.d/90mdraid/parse-md.sh
+index b879b07..ef6c30d 100755
+--- a/modules.d/90mdraid/parse-md.sh
++++ b/modules.d/90mdraid/parse-md.sh
+@@ -42,3 +42,5 @@ if ! getargbool 1 rd.md.imsm -n rd_NO_MDIMSM || getarg noiswmd || getarg nodmrai
+     info "no MD RAID for imsm/isw raids"
+     udevproperty rd_NO_MDIMSM=1
+ fi
++
++strstr "$(mdadm --help-options 2>&1)" offroot && udevproperty rd_MD_OFFROOT=--offroot
+-- 
+1.7.9.3
+
diff --git a/0055-dracut-remove-duplicate-options.patch b/0055-dracut-remove-duplicate-options.patch
new file mode 100644
index 0000000..bb46bb1
--- /dev/null
+++ b/0055-dracut-remove-duplicate-options.patch
@@ -0,0 +1,29 @@
+From 20a2b4dd7a5012f991aa3a1f432215e7de25b6f3 Mon Sep 17 00:00:00 2001
+From: Michal Soltys <soltys at ziu.info>
+Date: Mon, 17 Oct 2011 23:01:49 +0200
+Subject: [PATCH] dracut: remove duplicate options
+
+'-I' and '--fwdir' were both read_arg and push_arg, and the latter has
+priority.
+
+Signed-off-by: Michal Soltys <soltys at ziu.info>
+---
+ dracut |    2 --
+ 1 file changed, 2 deletions(-)
+
+diff --git a/dracut b/dracut
+index 9ef01e9..02cf07d 100755
+--- a/dracut
++++ b/dracut
+@@ -203,8 +203,6 @@ while (($# > 0)); do
+         -c|--conf)     read_arg conffile             "$@" || shift;;
+         --confdir)     read_arg confdir              "$@" || shift;;
+         -L|--stdlog)   read_arg stdloglvl_l          "$@" || shift;;
+-        -I|--install)  read_arg install_items        "$@" || shift;;
+-        --fwdir)       read_arg fw_dir_l             "$@" || shift;;
+         --compress)    read_arg compress_l           "$@" || shift;;
+         -f|--force)    force=yes;;
+         --kernel-only) kernel_only="yes"; no_kernel="no";;
+-- 
+1.7.9.3
+
diff --git a/0056-dracut-dracut-functions-fix-PATH.patch b/0056-dracut-dracut-functions-fix-PATH.patch
new file mode 100644
index 0000000..7d78d60
--- /dev/null
+++ b/0056-dracut-dracut-functions-fix-PATH.patch
@@ -0,0 +1,39 @@
+From 147ce7ccbb923a96d406be22d8ed325df965569d Mon Sep 17 00:00:00 2001
+From: Harald Hoyer <harald at redhat.com>
+Date: Mon, 26 Mar 2012 09:29:06 +0200
+Subject: [PATCH] dracut, dracut-functions: fix PATH
+
+---
+ dracut           |    2 +-
+ dracut-functions |    2 +-
+ 2 files changed, 2 insertions(+), 2 deletions(-)
+
+diff --git a/dracut b/dracut
+index 02cf07d..7ea9419 100755
+--- a/dracut
++++ b/dracut
+@@ -252,7 +252,7 @@ if ! [[ $kernel ]]; then
+ fi
+ [[ $outfile ]] || outfile="/boot/initramfs-$kernel.img"
+ 
+-PATH=/sbin:/bin:/usr/sbin:/usr/bin
++PATH=/usr/sbin:/sbin:/usr/bin:/bin
+ export PATH
+ 
+ [[ $debug ]] && { 
+diff --git a/dracut-functions b/dracut-functions
+index af82f8a..571a4f3 100755
+--- a/dracut-functions
++++ b/dracut-functions
+@@ -314,7 +314,7 @@ inst_library() {
+ # find a binary.  If we were not passed the full path directly,
+ # search in the usual places to find the binary.
+ find_binary() {
+-    local binpath="/bin /sbin /usr/bin /usr/sbin" p
++    local binpath="/usr/sbin /sbin /usr/bin /bin" p
+     if [[ -z ${1##/*} ]]; then
+         if [[ -x $1 ]] || ldd $1 &>/dev/null; then
+             echo $1
+-- 
+1.7.9.3
+
diff --git a/0057-dracut.spec-add-30convertfs.patch b/0057-dracut.spec-add-30convertfs.patch
new file mode 100644
index 0000000..38876f3
--- /dev/null
+++ b/0057-dracut.spec-add-30convertfs.patch
@@ -0,0 +1,24 @@
+From 6ce8fa32d1e05589e5db7d86becbee83b8b28cec Mon Sep 17 00:00:00 2001
+From: Harald Hoyer <harald at redhat.com>
+Date: Mon, 26 Mar 2012 09:30:21 +0200
+Subject: [PATCH] dracut.spec: add 30convertfs
+
+---
+ dracut.spec |    1 +
+ 1 file changed, 1 insertion(+)
+
+diff --git a/dracut.spec b/dracut.spec
+index 5d83bc5..d675d80 100644
+--- a/dracut.spec
++++ b/dracut.spec
+@@ -236,6 +236,7 @@ rm -rf $RPM_BUILD_ROOT
+ %{_datadir}/dracut/modules.d/05busybox
+ %{_datadir}/dracut/modules.d/10i18n
+ %{_datadir}/dracut/modules.d/10rpmversion
++%{_datadir}/dracut/modules.d/30convertfs
+ %{_datadir}/dracut/modules.d/50plymouth
+ %{_datadir}/dracut/modules.d/60xen
+ %{_datadir}/dracut/modules.d/90btrfs
+-- 
+1.7.9.3
+
diff --git a/dracut.spec b/dracut.spec
index 34f111d..8cfda7e 100644
--- a/dracut.spec
+++ b/dracut.spec
@@ -8,7 +8,7 @@
 
 Name: dracut
 Version: 009
-Release: 13%{?dist}
+Release: 14%{?dist}
 
 Summary: Initramfs generator using udev
 %if 0%{?fedora} || 0%{?rhel} > 6
@@ -55,6 +55,28 @@ Patch32: 0032-network-parse-ip-opts.sh-fix-ifname-for-ibft-with-al.patch
 Patch33: 0033-iscsi-add-additional-hardcoded-modules.patch
 Patch34: 0034-iscsi-mount-lun.sh-use-NEWROOT.patch
 Patch35: 0035-iscsi-find-iscsi-kernel-modules-by-symbol-names.patch
+Patch36: 0036-crypt-cryptroot-ask.sh-s-.console.lock-.console_lock.patch
+Patch37: 0037-kernel-modules-insmodpost.sh-fixed-handling-rd.drive.patch
+Patch38: 0038-parse-kernel.sh-wrong-index-was-used-in-for-loop.patch
+Patch39: 0039-lsinitrd-default-to-boot-initramfs-uname-r-.img.patch
+Patch40: 0040-fcoe-parse-fcoe.sh-s-source-.-g.patch
+Patch41: 0041-base-crypt-install-umount-because-it-is-used.patch
+Patch42: 0042-kernel-modules-inst-modules.builtin-if-there-s-no-mo.patch
+Patch43: 0043-dracut-use-var-tmp-rather-than-tmp-for-the-initramfs.patch
+Patch44: 0044-dracut-functions-only-dinfo-about-missing-firmware-f.patch
+Patch45: 0045-dracut-set-TMPDIR-to-var-tmp.patch
+Patch46: 0046-lvm-lvm_scan.sh-remove-references-to-lvm-cleanup.patch
+Patch47: 0047-lsinitrd-handle-new-output-of-file-for-XZ-compressed.patch
+Patch48: 0048-base-init-mount-virtual-filesystems-with-the-filesys.patch
+Patch49: 0049-base-init-do-not-mount-devtmpfs-with-noexec.patch
+Patch50: 0050-selinux-selinux-loadpolicy.sh-set-LANG-C-for-load_po.patch
+Patch51: 0051-dracut.spec-fixed-logrotate.patch
+Patch52: 0052-dracut.spec-remove-noreplace-for-01-dist.conf.patch
+Patch53: 0053-add-convertfs-module.patch
+Patch54: 0054-90mdraid-add-offroot-support.patch
+Patch55: 0055-dracut-remove-duplicate-options.patch
+Patch56: 0056-dracut-dracut-functions-fix-PATH.patch
+Patch57: 0057-dracut.spec-add-30convertfs.patch
 
 BuildArch: noarch
 
@@ -223,6 +245,28 @@ This package contains tools to assemble the local initrd and host configuration.
 %patch33 -p1
 %patch34 -p1
 %patch35 -p1
+%patch36 -p1
+%patch37 -p1
+%patch38 -p1
+%patch39 -p1
+%patch40 -p1
+%patch41 -p1
+%patch42 -p1
+%patch43 -p1
+%patch44 -p1
+%patch45 -p1
+%patch46 -p1
+%patch47 -p1
+%patch48 -p1
+%patch49 -p1
+%patch50 -p1
+%patch51 -p1
+%patch52 -p1
+%patch53 -p1
+%patch54 -p1
+%patch55 -p1
+%patch56 -p1
+%patch57 -p1
 
 %build
 make WITH_SWITCH_ROOT=0%{?with_switch_root}
@@ -297,6 +341,7 @@ rm -rf $RPM_BUILD_ROOT
 %{_datadir}/dracut/modules.d/05busybox
 %{_datadir}/dracut/modules.d/10i18n
 %{_datadir}/dracut/modules.d/10rpmversion
+%{_datadir}/dracut/modules.d/30convertfs
 %{_datadir}/dracut/modules.d/50plymouth
 %{_datadir}/dracut/modules.d/60xen
 %{_datadir}/dracut/modules.d/90btrfs
@@ -357,6 +402,10 @@ rm -rf $RPM_BUILD_ROOT
 %dir /var/lib/dracut/overlay
 
 %changelog
+* Mon Mar 26 2012 Harald Hoyer <harald at redhat.com> 009-14
+- add convertfs module
+- add support for mdraid --offroot
+
 * Mon Aug 29 2011 Harald Hoyer <harald at redhat.com> 009-13
 - fixed rhel/fedora version checks
 


More information about the scm-commits mailing list